/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.examplesingle.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.examplesingle.entity.ExampleSingle;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 单项工程造价指标DAO接口
 * @author ssrh
 * @version 2018-08-29
 */
@MyBatisDao
public interface ExampleSingleDao extends CrudDao<ExampleSingle> {
    List<ExampleSingle> getCount(@Param("companyId")String companyId, @Param("areaId")String areaId, @Param("dictId")String dictId, @Param("indexId")String indexId);

    int deleteByEId(String eId);

    int delteByIndexId(@Param("eId")String eId,@Param("indexId")String indexId);
    ExampleSingle findSingle(ExampleSingle exampleSingle);
}