/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workaftermath.dao;

import com.jeeplus.modules.workbidingproject.entity.WorkBidingProject;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workaftermath.entity.WorkAftermath;

/**
 * 评标后工作管理DAO接口
 * @author liuw
 * @version 2017-12-26
 */
@MyBatisDao
public interface WorkAftermathDao extends CrudDao<WorkAftermath> {

	public List<WorkBidingProject> findListByworkBidingProject(WorkBidingProject workBidingProject);

	public WorkAftermath getBypid(String pid);
	
}