/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workattendance.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workattendance.entity.WorkAttendanceInfo;
import com.jeeplus.modules.workattendance.entity.WorkAttendanceMonth;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 考勤详情DAO接口
 * @author 杨帆
 * @version 2018-09-10
 */
@MyBatisDao
public interface WorkAttendanceInfoDao extends CrudDao<WorkAttendanceInfo> {

	List<WorkAttendanceMonth> findListByTime(WorkAttendanceInfo workAttendanceInfo);
	Integer groupByOfficeStaffId(@Param("month")String month,@Param("officeId")String officeId);
	int findLeave(@Param("attendanceDate")String attendanceDate,@Param("staffId")String staffId,@Param("morningAfternoon")String morningAfternoon);
}