/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workattendance.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workattendance.entity.WorkAttendancePlace;

import java.util.List;

/**
 * 考勤地点DAO接口
 * @author 杨帆
 * @version 2018-09-05
 */
@MyBatisDao
public interface WorkAttendancePlaceDao extends CrudDao<WorkAttendancePlace> {
        void deleteByRuleId(WorkAttendancePlace workAttendancePlace);
        List<WorkAttendancePlace> getByRuleId(WorkAttendancePlace workAttendancePlace);

}