/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcommongroup.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.workcommongroup.entity.WorkCommonGroup;

import java.util.HashMap;
import java.util.List;

/**
 * 常用组管理DAO接口
 * @author ssrh
 * @version 2018-07-16
 */
@MyBatisDao
public interface WorkCommonGroupDao extends CrudDao<WorkCommonGroup> {


    void deleteUsers(String id);

    void batchInsert(HashMap<String, Object> map);

    List<User> queryUserList(String id);
}