/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workeffectdetail.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workeffectdetail.entity.WorkEffectDetail;

/**
 * 绩效明细DAO接口
 * @author ssrh
 * @version 2018-09-11
 */
@MyBatisDao
public interface WorkEffectDetailDao extends CrudDao<WorkEffectDetail> {

	int deleteByEffectId(String effectId);

	void updateMoney(WorkEffectDetail workEffectDetail);

	Integer effectCount(WorkEffectDetail workEffectDetail);

}