/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workhandbill.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workhandbill.entity.WorkHandBill;

/**
 * 交接单DAO接口
 * @author 马鹏波
 * @version 2018-06-05
 */
@MyBatisDao
public interface WorkHandBillDao extends CrudDao<WorkHandBill> {

    public int deleteByProId(WorkHandBill workHandBill);


    public WorkHandBill findListByProjectId(WorkHandBill workHandBill);

}