/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workinvoicealter.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workbidproject.entity.WorkBidProject;
import com.jeeplus.modules.workclientinfo.entity.WorkClientInfo;
import com.jeeplus.modules.workinvoicealter.entity.WorkInvoiceAlter;

import java.util.List;

/**
 * 开票管理DAO接口
 * @author 孟祥越
 * @version 2017-05-05
 */
@MyBatisDao
public interface WorkInvoiceAlterDao extends CrudDao<WorkInvoiceAlter> {

	public List<WorkClientInfo> findListByclient(WorkClientInfo client);
	public List<WorkBidProject> findListByproject(WorkBidProject project);
	
	public WorkInvoiceAlter getByProcInsId(String procInsId);
	
	/**
	 * 更新流程实例ID
	 * @param
	 * @return
	 */
	public int updateProcessInstanceId(WorkInvoiceAlter workInvoice);
	
}