/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemcollar.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workitemcollar.entity.WorkItemCollar;
import com.jeeplus.modules.workitemcollar.entity.WorkItemCollarCatalog;
import com.jeeplus.modules.workitemcollar.entity.WorkItemCollarItem;

import java.util.List;

/**
 * 领用固定资产子表DAO接口
 * @author chenyuping
 * @version 2018-07-16
 */
@MyBatisDao
public interface WorkItemCollarItemDao extends CrudDao<WorkItemCollarItem> {
    public List<WorkItemCollarItem> findAssetsWorkItemCollarId(WorkItemCollar workItemCollar);
	
}