/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreceiptsrevise.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreceiptsrevise.entity.WorkReceiptsRevise;

import java.util.List;

/**
 * 收入调整DAO接口
 * @author lw
 * @version 2018-06-29
 */
@MyBatisDao
public interface WorkReceiptsReviseDao extends CrudDao<WorkReceiptsRevise> {

    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkReceiptsRevise workReceiptsRevise);

    public int updateInvalidProcessInstanceId(WorkReceiptsRevise workReceiptsRevise);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkReceiptsRevise getByProcessInstanceId(String processInstanceId);

    public WorkReceiptsRevise getBynvalidProcessInstanceId(String processInstanceId);

    public List<WorkReceiptsRevise> findListInvalid(WorkReceiptsRevise workReceiptsRevise);
}