/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workscrap.dao;

import com.jeeplus.modules.workitem.entity.WorkItem;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workscrap.entity.WorkScrap;

/**
 * 报废管理DAO接口
 * @author lw
 * @version 2018-07-16
 */
@MyBatisDao
public interface WorkScrapDao extends CrudDao<WorkScrap> {
	/**
	 * 更新流程实例ID
	 * @return
	 */
	public int updateProcessInstanceId(WorkScrap workScrap);

	/**
	 * 根据流程实例ID获取
	 * @param processInstanceId
	 * @return
	 */
	public WorkScrap getByProcessInstanceId(String processInstanceId);
	public List<WorkItem> findListByitem(WorkItem item);
	
}