<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>合同归档管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">

	</script>
</head>
<body>
<div class="single-form">
	<div class="container view-form">
		<div class="form-group layui-row first lw9">
			<div class="form-group-label"><h2>基本信息</h2></div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">报告编号：</label>
				<div class="layui-input-block with-icon">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.report.number}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">归档申请编号：</label>
				<div class="layui-input-block">
					<div class="input-group">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.recordNum}"/>
						<span class="input-group-btn">
								<label class="form-status">
									<c:choose>
										<c:when test="${not empty projectReportRecord.status}">${fns:getDictLabel(projectReportRecord.status, 'audit_record_state', '')}
										</c:when>
										<c:otherwise>新添</c:otherwise>
									</c:choose></label>
							 </span>
					</div>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">签字造价师一：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectReportRecord.signCostOne.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">签字造价师二：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectReportRecord.signCostTwo.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">报告名称：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.report.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">报告日期：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatDate value="${projectReportRecord.report.reportDate}" pattern="yyyy-MM-dd"/>"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">合同编号：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.contractNum}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">合同名称：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.contractName}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">主委托方：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.clientName}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">项目编号：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.projectNum}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">项目名称：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.projectName}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">归档申请人：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.createBy.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">申请日期：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatDate value="${projectReportRecord.createDate}" pattern="yyyy-MM-dd"/>"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">档案号：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.fileNum}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">档案名称：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectReportRecord.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">归档时间：</label>
				<div class="layui-input-block">
					<input id="recordDate" name="recordDate"  htmlEscape="false" readonly="true" class="form-control  layui-input" value="<fmt:formatDate value="${projectReportRecord.createDate}" pattern="yyyy-MM-dd"/>"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm12  with-textarea">
				<label class="layui-form-label">说明：</label>
				<div class="layui-input-block">
					<textarea path="remarks" htmlEscape="false" readonly="true" rows="3" maxlength="20" class="form-control" >${projectReportRecord.remarks}</textarea>
				</div>
			</div>
		</div>
		<div class="form-group layui-row">
			<div class="form-group-label"><h2>附件信息</h2></div>
			<span id="attachment_title"></span>
			<div class="layui-item layui-col-xs12" style="padding:0 16px;">
				<table id="upTable" class="table table-bordered table-condensed details">
					<thead>
					<tr>
						<%-- <th>序号</th>--%>
						<th>文件预览</th>
						<th>上传人</th>
						<th>上传时间</th>
						<th width="150px">操作</th>
					</tr>
					</thead>
					<tbody id="file_attachment">
					<c:forEach items="${projectReportRecord.workAttachments}" var = "workClientAttachment" varStatus="status">
						<tr>
								<%-- <td>${status.index + 1}</td>--%>
							<c:choose>
								<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
									<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}">
								</c:when>
								<c:otherwise>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
											<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
										</c:when>
										<c:otherwise>
											<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
										</c:otherwise>
									</c:choose>
								</c:otherwise>
							</c:choose>
							<td>${workClientAttachment.createBy.name}</td>
							<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
							<td class="op-td">
								<div class="op-btn-box" >
									<a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
								</div>
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
			</div>
		</div>
			<div class="form-group layui-row page-end"></div>
	</div>
</div>
</body>
</html>