<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目审批管理</title>
	<meta name="decorator" content="default"/>
	<script>
		$(document).ready(function () {
			var tt = $("#contractNum").val();
			if (tt == null || tt === "") {
				$("#divv").hide();
				$("#divv3").hide();
				setTimeout(function () {
					var tt = $("#workClientLinkmanList").find("tr").eq(0).find("td").eq(1).text().trim();
					$("#clientName").val(tt);
				},100);
			}

		})
	</script>
	<script type="text/javascript">
        function addRow(list, idx, tpl, row){
            // var idx1 = $("#workClientLinkmanList tr").length;
            bornTemplete(list, idx, tpl, row, idx);
        }

        function bornTemplete(list, idx, tpl, row, idx1){
            $(list).append(Mustache.render(tpl, {
                idx: idx, delBtn: true, row: row,
                order:idx1 + 1
            }));
            $(list+idx).find("select").each(function(){
                $(this).val($(this).attr("data-value"));
            });
            $(list+idx).find("input[type='checkbox'], input[type='radio']").each(function(){
                var ss = $(this).attr("data-value").split(',');
                for (var i=0; i<ss.length; i++){
                    if($(this).val() == ss[i]){
                        $(this).attr("checked","checked");
                    }
                }
            });
        }
        function seeFile(fileUrl,fileName) {
            //   location.href = "/followRecord/seeFile";
            var index = fileName.lastIndexOf(".");
            var fileType = fileName.substring(index);
            // debugger
            if (".pdf" == fileType) {
                window.open(fileUrl);
            } else {
                window.open("${ctx}/isignature/iSignatureDocument/seeFile?fileUrl="+fileUrl+"&fileName="+fileName);
            }
        }
	</script>
	<script>
		function initRecordStatus(index,id,dataid,status)
		{
			var elem = document.getElementById("status_td_" + index);
			var st = getAuditState(status);
			if(st.action)
				var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/projectcontentinfo/projectcontentinfo/getProcessOne?id=" + id + "&projectReportData.id="+ dataid + "&type="+status+"','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
			else
				var xml = "<span style=\"cursor:default;\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";

			elem.innerHTML = xml;
		}
	</script>
</head>
<body>
<div class="single-form">
	<div class="container view-form">
		<form:form id="inputForm" modelAttribute="projectRecords" action="${ctx}/ruralProject/ruralProjectRecords/saveAudit" method="post" class="form-horizontal">
			<div class="form-group layui-row first">
				<div class="form-group-label"><h2>项目合同信息</h2></div>
               <div id="divv">
				   <div class="layui-item layui-col-sm12 lw6">
					   <label class="layui-form-label">合同编号：</label>
					   <div class="layui-input-block">
						   <input htmlEscape="false" id="contractNum" readonly="true" class="form-control layui-input" value="${projectRecords.workContractInfo.contractNum}"/>
					   </div>
				   </div>
				   <div class="layui-item layui-col-sm6 lw6">
					   <label class="layui-form-label">合同名称：</label>
					   <div class="layui-input-block">
						   <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.workContractInfo.name}"/>
					   </div>
				   </div>
				   <div class="layui-item layui-col-sm6 lw6">
					   <label class="layui-form-label double-line">合同金额(元)：</label>
					   <div class="layui-input-block">
						   <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatNumber value="${projectRecords.workContractInfo.contractPrice}" pattern="#,##0.00#"/>"/>
					   </div>
				   </div>
			   </div>
				<div class="layui-item layui-col-sm6 lw6">
					<label class="layui-form-label">主委托方：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  id="clientName" readonly="true" class="form-control layui-input" value="${projectRecords.workContractInfo.client.name}"/>
					</div>
				</div>
				<div id="divv3">
					<div class="layui-item layui-col-sm6 lw6">
						<label class="layui-form-label">工程分类：</label>
						<div class="layui-input-block">
							<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.workContractInfo.constructionProjectTypeStr}"/>
						</div>
					</div>
				</div>
			</div>

			<div class="form-group layui-row first">
				<div class="form-group-label"><h2>项目基础信息</h2></div>
                <div class="layui-item layui-col-sm6 lw6">
                    <label class="layui-form-label">项目名称：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.projectName}"/>
                    </div>
                </div>
				<div class="layui-item layui-col-sm6 lw6">
					<label class="layui-form-label">项目编号：</label>
					<div class="layui-input-block">
                        <div class="input-group">
                            <form:input path="projectId" htmlEscape="false"  readonly="true" class="form-control layui-input"/>
                            <span class="input-group-btn">
                                <label class="form-status"><c:choose><c:when test="${not empty projectRecords.projectStatus}">${fns:getDictLabel(projectRecords.projectStatus, 'audit_state', '')}</c:when><c:otherwise>新添</c:otherwise></c:choose></label>
                             </span>
                        </div>
					</div>
				</div>
				<%--<div class="layui-item layui-col-sm6 lw6">--%>
					<%--<label class="layui-form-label">规模类型：</label>--%>
					<%--<div class="layui-input-block">--%>
						<%--<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.scaleType}"/>--%>
					<%--</div>--%>
				<%--</div>--%>
				<%--<div class="layui-item layui-col-sm6 lw6">--%>
					<%--<label class="layui-form-label">规模单位：</label>--%>
					<%--<div class="layui-input-block">--%>
						<%--<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.scaleUnit}"/>--%>
					<%--</div>--%>
				<%--</div>--%>
				<%--<div class="layui-item layui-col-sm6 lw6">--%>
					<%--<label class="layui-form-label">规模数量：</label>--%>
					<%--<div class="layui-input-block">--%>
						<%--<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.scaleQuantity}"/>--%>
					<%--</div>--%>
				<%--</div>--%>
				<div class="layui-item layui-col-sm6 lw6">
					<label class="layui-form-label">项目所在地：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.area.name}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">所在省份：</label>
					<div class="layui-input-block">
						<form:input path="province" htmlEscape="false" id="province" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">所在地级市：</label>
					<div class="layui-input-block">
						<form:input path="city" htmlEscape="false" id="city" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">所在区县：</label>
					<div class="layui-input-block">
						<form:input path="county" htmlEscape="false" id="areaName1" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw6">
					<label class="layui-form-label">建设地点：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.projectSite}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw6">
					<label class="layui-form-label">项目负责人：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.leaderNameStr}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw6">
					<label class="layui-form-label">创建人：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.createBy.name}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw6">
					<label class="layui-form-label">创建日期：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="<fmt:formatDate value="${projectRecords.createDate}" pattern="yyyy-MM-dd"/>"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">工程结构：</label>
					<div class="layui-input-block">
							<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.projectStructure}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">地上层数：</label>
					<div class="layui-input-block">
						<form:input path="onGroundNum" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">底下层数：</label>
					<div class="layui-input-block">
						<form:input path="underGroundNum" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line"><span class="require-item">*</span>建筑面积或规模：</label>
					<div class="layui-input-block">
						<form:input path="buildingScale" htmlEscape="false"  class="form-control layui-input required number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">计量单位：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.measuringUnit}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">工程用途：</label>
					<div class="layui-input-block">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectRecords.projectUse}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line"><span class="require-item">*</span>咨询标的额(万元)：</label>
					<div class="layui-input-block">
						<input value="<fmt:formatNumber value="${projectRecords.totalFees}" pattern="#,##0.00#"/>" htmlEscape="false" id="totalFees" class="form-control layui-input required number"  readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line">其中土建造价(万元)：</label>
					<div class="layui-input-block">
						<input   value="<fmt:formatNumber value="${projectRecords.buildingFees}" pattern="#,##0.00#"/>" htmlEscape="false" id="buildingFees" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line">其中安装造价(万元)：</label>
					<div class="layui-input-block">
						<input  value="<fmt:formatNumber value="${projectRecords.installFees}" pattern="#,##0.00#"/>" htmlEscape="false" id="installFees" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line">其中土建百分比(%)：</label>
					<div class="layui-input-block">
						<form:input path="buildingPercent" htmlEscape="false" id="buildingPercent" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line">其中安装百分比(%)：</label>
					<div class="layui-input-block">
						<form:input path="installPercent" htmlEscape="false" id="installPercent" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label">单位造价(元)：</label>
					<div class="layui-input-block">
						<input value="<fmt:formatNumber value="${projectRecords.unitFees}" pattern="#,##0.00#"/>" htmlEscape="false" id="unitFees" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line">土建单位造价(元)：</label>
					<div class="layui-input-block">
						<input  value="<fmt:formatNumber value="${projectRecords.buildingUnitFees}" pattern="#,##0.00#"/>" htmlEscape="false" id="buildingUnitFees" class="form-control layui-input" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw7">
					<label class="layui-form-label double-line">安装单位造价(元)：</label>
					<div class="layui-input-block">
						<input  value="<fmt:formatNumber value="${projectRecords.installUnitFees}" pattern="#,##0.00#"/>" htmlEscape="false" id="installUnitFees" class="form-control layui-input" readonly="readonly"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw6 with-textarea">
					<label class="layui-form-label">工程概况：</label>
					<div class="layui-input-block">
						<textarea htmlEscape="false" rows="4" readonly="true" maxlength="1000" class="form-control" >${projectRecords.projectDesc}</textarea>
					</div>
				</div>
				<div class="layui-item layui-col-sm6 lw6 with-textarea">
					<label class="layui-form-label">特殊要求：</label>
					<div class="layui-input-block">
						<textarea htmlEscape="false" rows="4" readonly="true" maxlength="1000" class="form-control" >${projectRecords.remarks}</textarea>
					</div>
				</div>
			</div>

			<div class="form-group layui-row">
				<div class="form-group-label"><h2>委托方联系人信息</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container" >
					<table id="contentTable" class="table table-bordered table-condensed no-bottom-margin details">
						<thead>
						<tr>
							<th class="hide"></th>
							<th width="25%">委托方</th>
							<th width="25%">联系人姓名</th>
							<th width="25%">联系方式1</th>
							<th width="25%">联系方式2</th>
						</tr>
						</thead>
						<tbody id="workClientLinkmanList">
						</tbody>
					</table>
					<script type="text/template" id="workClientLinkmanTpl">//<!--
					<tr id="workClientLinkmanList{{idx}}">
					<td class="hide">
						<input id="workClientLinkmanList{{idx}}_id" name="workClientLinkmanList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
						<input id="workClientLinkmanList{{idx}}_delFlag" name="workClientLinkmanList[{{idx}}].delFlag" type="hidden" value="0"/>
					</td>
					<td>
						{{row.clientId.name}}
					</td>
					<td>
						{{row.name}}
					</td>
					<td>
						{{row.linkPhone}}
					</td>
					<td>
						{{row.linkMobile}}
					</td>
				</tr>//-->
					</script>
				</div>
			</div>

			<div class="form-group layui-row">
				<div class="form-group-label"><h2>施工方信息</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container" >
					<table id="contentTable1" class="table table-bordered table-condensed no-bottom-margin details">
						<thead>
						<tr>
							<th class="hide"></th>
							<th width="25%">施工方单位名称</th>
							<th width="25%">联系人姓名</th>
							<th width="25%">联系方式1</th>
							<th width="25%">联系方式2</th>
						</tr>
						</thead>
						<tbody id="workConstructionLinkmanList">
						</tbody>
					</table>
					<script type="text/template" id="workConstructionLinkmanTpl">//<!--
					<tr id="workConstructionLinkmanList{{idx}}">
					<td class="hide">
						<input id="workConstructionLinkmanList{{idx}}_id" name="workConstructionLinkmanList[{{idx}}].id" type="hidden" value="{{row.id}}"/>
						<input id="workConstructionLinkmanList{{idx}}_delFlag" name="workConstructionLinkmanList[{{idx}}].delFlag" type="hidden" value="0"/>
					</td>
					<td>
						{{row.clientId.name}}
					</td>
					<td>
						{{row.name }}
					</td>
					<td>
						{{row.linkPhone}}
					</td>
					<td>
						{{row.linkMobile}}
					</td>
				</tr>//-->
					</script>
				</div>
			</div>

			<c:if test="${not empty projectRecords.workAttachments}">
			<div class="form-group layui-row">
				<div class="form-group-label"><h2>项目计划附件信息</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container" >
					<table id="listAttachment" class="table table-bordered table-condensed no-bottom-margin details">
						<thead>
						<tr>
							<th width="25%">文件预览</th>
							<th width="25%">上传人</th>
							<th width="25%">上传时间</th>
							<th width="25%">操作</th>
						</tr>
						</thead>
						<tbody id="file_attachment">
						<c:forEach items="${projectRecords.workAttachments}" var="workClientAttachment" varStatus="status">
							<tr>
									<%--<td>${status.index + 1}</td>--%>
								<c:choose>
									<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
															   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
										<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}">
									</c:when>
									<c:otherwise>
										<c:choose>
											<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
												<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','95%','95%','1')">${workClientAttachment.attachmentName}</a></td>
											</c:when>
											<c:otherwise>
												<td><a href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','95%','95%')">${workClientAttachment.attachmentName}</a></td>
											</c:otherwise>
										</c:choose>
									</c:otherwise>
								</c:choose>
								<td>${workClientAttachment.createBy.name}</td>
								<td><fmt:formatDate value="${workClientAttachment.createDate}" pattern="yyyy-MM-dd"/></td>
								<td  class="op-td">
									<a href="javascript:location.href=encodeURI('${ctx}/workcontractinfo/workContractInfo/downLoadAttach?file=${workClientAttachment.url}');" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
									<%--<a href="#" onclick="seeFile('${workClientAttachment.url}','${workClientAttachment.attachmentName}');" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;查看</a>--%>
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
			</c:if>
			<script>
                var workClientLinkmanRowIdx = 0, workClientLinkmanTpl = $("#workClientLinkmanTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
                var workConstructionLinkmanRowIdx = 0, workConstructionLinkmanTpl = $("#workConstructionLinkmanTpl").html().replace(/(\/\/\<!\-\-)|(\/\/\-\->)/g,"");
                $(document).ready(function() {
                    var data = ${fns:toJson(projectRecords.workClientLinkmanList)};
                    for (var i=0; i<data.length; i++){
                        addRow('#workClientLinkmanList', workClientLinkmanRowIdx, workClientLinkmanTpl, data[i]);
                        workClientLinkmanRowIdx = workClientLinkmanRowIdx + 1;
                    }
                    var dataBank = ${fns:toJson(projectRecords.workConstructionLinkmanList)};
                    for (var i=0; i<dataBank.length; i++){
                        addRow('#workConstructionLinkmanList', workConstructionLinkmanRowIdx, workConstructionLinkmanTpl, dataBank[i]);
                        workConstructionLinkmanRowIdx = workConstructionLinkmanRowIdx + 1;
                    }
                });

			</script>

			<div class="form-group layui-row">
				<div class="form-group-label"><h2>项目组成员列表</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container" >
				<table id="usersListTable" class="table table-bordered table-condensed no-bottom-margin details">
					<thead>
					<tr>
						<th width="25%">姓名</th>
						<th width="25%">部门</th>
						<th width="25%">职级</th>
						<th width="25%">状态</th>
					</tr>
					</thead>
					<tbody id="usersList">
					<c:if test="${not empty projectRecords.projectMembers}">
						<c:forEach items="${projectRecords.projectMembers}" var="user">
							<tr id="${user.id}">
								<td>
										${user.name}
								</td>
								<td>
										${user.office.name}
								</td>
								<td>
										${user.basicInfo.jobGrade.name}
								</td>
								<td>
									<c:choose>
										<c:when test="${user.delFlag == 0}">
											正常
										</c:when>
										<c:otherwise>
											移除
										</c:otherwise>
									</c:choose>
								</td>
							</tr>
						</c:forEach>
					</c:if>
					</tbody>
				</table>
			</div>
			</div>

			<div class="form-group layui-row">
				<div class="form-group-label"><h2>项目报告</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container" >
					<table id="upTable" class="table table-bordered table-condensed details">
						<thead>
						<tr>
							<th width="25%">报告编号</th>
							<th width="25%">报告名称</th>
							<th width="20%">工作内容类型</th>
							<th width="10%">签章类型</th>
							<th width="10%">创建日期</th>
							<th width="10%">状态</th>
						</tr>
						</thead>
						<tbody>
						<c:choose>
							<c:when test="${not empty projectRecords.projectReportData}">
								<c:forEach items="${projectRecords.projectReportData}" var="projectReportData" varStatus="index">
									<tr>
										<td><a title="${projectReportData.number}" href="javascript:void(0)" onclick="openDialogView('查看报告详情', '${ctx}/projectcontentinfo/projectcontentinfo/form1?id=${projectReportData.id}','95%', '95%')">
												${projectReportData.number}
										</a></td>
										<td>
													${projectReportData.name}
										</td>
										<td title="${fns:getContentTypeName(projectReportData.type,"")}">
												${fns:getContentTypeName(projectReportData.type,"")}
										</td>
										<td title="${projectReportData.reportType}">
												${projectReportData.reportType}
										</td>
										<td>
											<fmt:formatDate value="${projectReportData.reportDate}" pattern="yyyy-MM-dd"/>
										</td>
										<td class="op-td">
												<%--<c:choose>--%>
												<%--<c:when test="${empty projectReportData.status || projectReportData.status eq 1}">--%>
												<%--<div style="text-align: center">--%>
												<%--<a href="javascript:void(0)" class="op-btn op-btn-trace" >${fns:getDictLabel(projectReportData.status, 'audit_state', '')}</a>--%>
												<%--</div>--%>
												<%--</c:when>--%>
												<%--<c:otherwise>--%>
												<%--<div style="text-align: center">--%>
												<%--<a href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/projectcontentinfo/projectcontentinfo/getProcessOne?id=${id}&projectReportData.id=${projectReportData.id}&type=1','95%','95%')" class="op-btn op-btn-trace" >${fns:getDictLabel(projectReportData.status, 'audit_state', '')}</a>--%>
												<%--</div>--%>
												<%--</c:otherwise>--%>
												<%--</c:choose>--%>
											<div style="text-align: center" id="status_td_${index.index+1}">
											</div>
											<script>
												initRecordStatus(${index.index+1},"${id}","${projectReportData.id}","${projectReportData.status}");
											</script>
										</td>
									</tr>
								</c:forEach>
							</c:when>
							<c:otherwise>
								<tr>
									<td colspan="7">
										暂无数据
									</td>
								</tr>
							</c:otherwise>
						</c:choose>
						</tbody>
					</table>
				</div>
			</div>

			<div class="form-group layui-row page-end"></div>
		</form:form>
	</div>
</div>
</body>
</html>