<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
			
		

			    $('#contentTable thead tr th input.i-checks').on('ifChecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('check');
			    	});

			    $('#contentTable thead tr th input.i-checks').on('ifUnchecked', function(event){ //ifCreated 事件应该在插件初始化之前绑定 
			    	  $('#contentTable tbody tr td input.i-checks').iCheck('uncheck');
			    	});
			    
			
		});

		function getSelectedItem(){

			var size = $("#contentTable tbody tr td input.i-checks:checked").size();
			  if(size == 0 ){
					top.layer.alert('请至少选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }

			  if(size > 1 ){
					top.layer.alert('只能选择一条数据!', {icon: 0, title:'警告'});
					return "-1";
				  }
			    var id =  $("#contentTable tbody tr td input.i-checks:checkbox:checked").attr("id");
			    
				var label = $("#contentTable tbody tr td input.i-checks:checkbox:checked").parent().parent().parent().find(".codelabel").html();
				return id+"_item_"+label;
		}
		function page(n,s){
			if(n) $("#pageNo").val(n);
			if(s) $("#pageSize").val(s);
			$("#searchForm").attr("action","${url}");
			$("#searchForm").submit();
	    	return false;
	    }
	</script>
</head>
<body >
<div class="wrapper wrapper-content">
	<div class="layui-row">
		<div class="full-width fl">
			<div class="layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="obj" action="${url}" method="post" class="form-inline">
					<input type="hidden" name="url" value="${url}"/>
					<input type="hidden" name="fieldLabels" value="${fieldLabels}"/>
					<input type="hidden" name="fieldKeys" value="${fieldKeys}"/>
					<input type="hidden" name="searchLabel" value="${searchLabel}"/>
					<input type="hidden" name="searchKey" value="${searchKey}"/>
					<input type="hidden" name="searchLabel1" value="${searchLabel1}"/>
					<input type="hidden" name="searchKey1" value="${searchKey1}"/>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

					<div class="commonQuery">
						<div class="layui-item query athird">
							<span class="layui-form-label">供应商名称：</span>
							<div class="layui-input-block">
								<form:input path="${searchKey}" htmlEscape="false" maxlength="50" class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item athird fr">
							<div class="input-group">
								<button id="searchReset" class="fixed-btn searchReset fr" style="margin-right: 0px;" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="layui-item layui-col-xs12 form-table-container">
				<table id="contentTable" class="table details table-bordered table-condensed">
					<thead>
					<tr>
						<th  width="50px"></th>
						<c:forEach items="${labelNames}" var="name"  varStatus="status">
						<th>供应商名称</th>
						<th>法人代表</th>
						<th>统一社会信用代码</th>
						<th>联系人姓名</th>
						</c:forEach>

					</tr>
				</thead>
				<tbody>
				<c:choose>
					<c:when test="${not empty page.list}">
						<c:forEach items="${page.list}" var="obj">
							<tr>
								<td> <input type="checkbox" id="${fns:getValue(obj, 'id')}" class="i-checks"></td>
								<td class="codelabel">${obj.name}</td>
								<%--<c:forEach items="${labelValues}" var="value"  varStatus="status">
									<c:if test="${status.first==true}">
										<td class="codelabel">${fns:getValue(obj, value)}</td>
									</c:if>

									&lt;%&ndash;<c:if test="${status.first!=true}">
										<td>${fns:getValue(obj, value)}</td>
									</c:if>&ndash;%&gt;
								</c:forEach>--%>
								<td class="codelabel">${obj.deputy}</td>
								<td class="codelabel">${obj.uscCode}</td>
								<td class="codelabel">${obj.linkName}</td>
							</tr>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<tr>
							<td colspan="5" align="center">
								暂无数据
							</td>
						</tr>
					</c:otherwise>
				</c:choose>
				</tbody>
				</table>
				<table:page page="${page}"></table:page>
			</div>
		</div>
		<div class="form-group layui-row page-end"></div>
	</div>
</div>
</body>
</html>