<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>评委管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>评委列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="judge" action="${ctx}/sys/judge/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>姓名：</span>
				<form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>联系电话：</span>
				<form:input path="mobile" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<%--<c:if test="${addBtn !='addBtn'}">
				<shiro:hasPermission name="sys:judge:add">--%>
					<table:addRow url="${ctx}/sys/judge/form" title="评委"></table:addRow><!-- 增加按钮 -->
			<%--	</shiro:hasPermission>
			</c:if>--%>
			<%--<shiro:hasPermission name="sys:judge:edit">--%>
			    <%--<table:editRow url="${ctx}/sys/judge/form" title="评委" id="contentTable"></table:editRow><!-- 编辑按钮 -->--%>
			<%--</shiro:hasPermission>--%>
			<%--<shiro:hasPermission name="sys:judge:del">--%>
				<%--<table:delRow url="${ctx}/sys/judge/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->--%>
			<%--</shiro:hasPermission>--%>

		<%--	<shiro:hasPermission name="sys:judge:import">--%>
				<table:importExcel url="${ctx}/sys/judge/import"></table:importExcel><!-- 导入按钮 -->
		<%--	</shiro:hasPermission>
			<shiro:hasPermission name="sys:judge:export">--%>
	       		<table:exportExcel url="${ctx}/sys/judge/export"></table:exportExcel><!-- 导出按钮 -->
	     <%--  	</shiro:hasPermission>--%>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;width: 5%" class=""> 序号</th>
				<th style="text-align: center;width: 10%"  class="sort-column a.name">姓名</th>
				<th style="text-align: center;width: 10%"  class="sort-column a.number">编号</th>
				<th style="text-align: center;width: 5%"  class="sort-column a.gender">性别</th>
				<th style="text-align: center;width: 10%"  class="sort-column a.birthday">出生年月</th>
				<th style="text-align: center;width: 10%"  class="sort-column a.title_level">职称</th>
				<th style="text-align: center;width: 10%"  class="sort-column a.mobile">联系电话</th>
				<th style="text-align: center;width: 10%"  class="sort-column a.consult_type">咨询类型</th>
				<th style="text-align: center;width: 10%"  class="sort-column a.consult_profession">咨询专业</th>
				<th style="text-align: center;width: 20%">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="judge" varStatus="varStatus">
			<tr>
				<td> ${varStatus.index+1}</td>
				<td>
					${judge.name}
				</td>
				<td>
					${judge.number}
				</td>
				<td>
					${fns:getDictLabel(judge.gender, 'sex', '')}
				</td>
				<td>
					<fmt:formatDate value="${judge.birthday}" pattern="yyyy-MM-dd"/>
				</td>
				<td>
					${fns:getDictLabel(judge.titleLevel, 'title_level', '')}
				</td>
				<td>
					${judge.mobile}
				</td>
				<td>
					${fns:getDictLabel(judge.consultType, 'consult_type', '')}
				</td>
				<td>
					${fns:getDictLabel(judge.consultProfession, 'consult_profession', '')}
				</td>
				<td>
					<div style="text-align: center">
				<%--	<shiro:hasPermission name="sys:judge:view">--%>
						<a href="javascript:void(0)" onclick="openDialogView('查看评委', '${ctx}/sys/judge/form?id=${judge.id}&view=view','900px', '600px')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
				<%--	</shiro:hasPermission>
					<shiro:hasPermission name="sys:judge:edit">--%>
    					<a href="javascript:void(0)" onclick="openDialog('修改评委', '${ctx}/sys/judge/form?id=${judge.id}&view=edit','900px', '600px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				<%--</shiro:hasPermission>
    				<shiro:hasPermission name="sys:judge:del">--%>
						<c:choose>
							<c:when test="${fn:containsIgnoreCase(peopleMaster, fns:getUser())}">
								<a href="${ctx}/sys/judge/delete?id=${judge.id}" onclick="return confirmx('确认要删除该评委吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
							</c:when>
							<c:otherwise>
								<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('招标部门负责人权限',{icon:2})" class="btn btn-default btn-xs"><i class="fa fa-trash"></i>删除</a>
							</c:otherwise>

						</c:choose>
					<%--</shiro:hasPermission>--%>
					</div>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>