<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>字典明细管理</title>
	<meta name="decorator" content="default"/>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="mainDictDetail" action="${ctx}/sys/mainDictDetail/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<sys:message content="${message}"/>	
		<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">名称：</label></td>
					<td class="width-35">
						${mainDictDetail.detailName}
					</td>
					<td class="width-15 active"><label class="pull-right">键值：</label></td>
					<td class="width-35">
						${mainDictDetail.mainDict.typeName}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">父节点：</label></td>
					<td class="width-35">
						${mainDictDetail.parentName}
					</td>
					<td class="width-15 active"><label class="pull-right">末级标记：</label></td>
					<td class="width-35">
						${mainDictDetail.endFlag}
					</td>
				</tr>
			    <tr>
				    <td class="width-15 active"><label class="pull-right">描述：</label></td>
				    <td class="width-35" colspan="3">
						${mainDictDetail.remarks}
				    </td>
			    </tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>