	<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目登记管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/webpage/include/treetable.jsp" %>
	<script type="text/javascript">
        $(function(){
            $("#treeTable").treeTable({expandLevel : 2,column:1}).show();
        });
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['提交','暂存','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });

        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li class="active"><a href="${ctx}/workaskcheckpricemg/workAskCheckPriceMg/list">询价与核价</a></li>
					<li><a href="${ctx}/workaskcheckprice/workAskCheckPrice/workAskCheckPriceTodoList">待办任务</a></li>
					<li><a href="${ctx}/workaskcheckprice/workAskCheckPrice/workAskCheckPriceHistoricList">已办任务</a></li>
					<%--<li><a href="${ctx}/workprequalification/workPrequalification/form">申请资格预审项目</a></li>--%>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workFullManage" action="${ctx}/workaskcheckpricemg/workAskCheckPriceMg/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<label>项目编号：</label>
			<form:input path="fullProjectNumber" htmlEscape="false"    class="form-control required"/>
			<label>项目名称：</label>
			<form:input path="fullProjectName" htmlEscape="false"    class="form-control required"/>
			<label>项目状态：</label>
			<form:select path="fullProjectStatus" class="form-control required">
				<form:option value="" label=""/>
				<form:options items="${fns:getDictList('full_project_status')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<p></p>
		 </div>
	</form:form>
	<br/>
	</div>
	</div>

	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<%--<shiro:hasPermission name="workfullmanage:workFullManage:add">--%>
				<%--<table:addRow url="${ctx}/workfullmanage/workFullManage/form" title="项目登记"></table:addRow><!-- 增加按钮 -->--%>
			<%--</shiro:hasPermission>--%>
			<%--<shiro:hasPermission name="workfullmanage:workFullManage:edit">--%>
			    <%--<table:editRow url="${ctx}/workfullmanage/workFullManage/form" title="项目登记" id="contentTable"></table:editRow><!-- 编辑按钮 -->--%>
			<%--</shiro:hasPermission>--%>
			<%--<shiro:hasPermission name="workfullmanage:workFullManage:del">--%>
				<%--<table:delRow url="${ctx}/workfullmanage/workFullManage/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->--%>
			<%--</shiro:hasPermission>--%>
			<%--<shiro:hasPermission name="workfullmanage:workFullManage:import">--%>
				<%--<table:importExcel url="${ctx}/workfullmanage/workFullManage/import"></table:importExcel><!-- 导入按钮 -->--%>
			<%--</shiro:hasPermission>--%>
			<%--<shiro:hasPermission name="workfullmanage:workFullManage:export">--%>
	       		<%--<table:exportExcel url="${ctx}/workfullmanage/workFullManage/export"></table:exportExcel><!-- 导出按钮 -->--%>
	       	<%--</shiro:hasPermission>--%>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>

			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>

	<!-- 表格 -->
	<table id="treeTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<%--<th> <input type="checkbox" class="i-checks"></th>--%>
				<%--<th  class="sort-column fullProjectNumber">项目编号</th>--%>
				<%--<th  class="sort-column totalFullName">总项目名称</th>--%>
				<th style="text-align: center;width: 25%" class="sort-column fullProjectName">项目名称</th>
				<th style="text-align: center;width: 22%" class="sort-column ciName">客户单位</th>
				<th style="text-align: center;width: 10%" class="">项目负责人</th>
				<th style="text-align: center;width: 15%" class="sort-column createDate">创建日期</th>
				<th style="text-align: center;width: 7%" class="sort-column fullProjectStatus">项目状态</th>
				<th style="text-align: center;width: 8%" class="">询价与核价</th>
				<th style="text-align: center;width: 10%" class="">询价与核价列表</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty page.list}">
		<c:forEach items="${page.list}" var="workFullManage">
			<tr  id="${workFullManage.id}" pId="${workFullManage.totalFullId ne '1'?workFullManage.totalFullId:'0'}">
				<%--<td> <input type="checkbox" id="${workFullManage.id}" class="i-checks"></td>--%>
				<%--<td>--%>
					<%--<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.totalFullId}&tabId=0','80%','80%')">--%>
						<%--<span title="${workFullManage.totalFullName}">${fns:abbr(workFullManage.totalFullName,30)}</span>--%>
					<%--</a>--%>
				<%--</td>--%>
				<%--<td>--%>
						<%--${workFullManage.fullProjectNumber}--%>
				<%--</td>--%>
				<td>
					<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=0','80%','80%')">
						${workFullManage.fullProjectName}
					</a>
				</td>
				<td>
					${workFullManage.ciName}
				</td>
				<td>
						${workFullManage.hostMasterName}
				</td>
				<td>
					<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</td>
				<td>
					${fns:getDictLabel(workFullManage.fullProjectStatus, 'full_project_status', '')}
				</td>
				<td>
					<div style="text-align: center">
					<%--<a href="javascript:void(0)" onclick="openDialogre('工程签证单','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=1','80%','80%')" class="btn btn-info btn-sm">项目立项</a>--%>
						<button class="btn btn-info btn-sm" title="询价与核价" onclick="openDialogre('询价与核价','${ctx}/workaskcheckprice/workAskCheckPrice/form?wf=${workFullManage.id}','80%','80%')">&nbsp;询价与核价</button>
					</div>
				</td>
				<td>
					<div style="text-align: center">
					<a  href="javascript:void(0)" onclick="openDialogView('查看询价与核价列表', '${ctx}/workaskcheckpricemg/workAskCheckPriceMg/workAskCheckPriceMgList?wf=${workFullManage.id}','80%','80%')">
							${workFullManage.workAskCheckPriceCount}
					</a>
					</div>
				</td>
				<%--<td>--%>
					<%--<a href="javascript:void(0)" onclick="openDialogView('项目准备','${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=2','80%','80%')" class="btn btn-info btn-sm">项目准备</a>--%>
				<%--</td>--%>
				<%--<td>--%>
					<%--<shiro:hasPermission name="workfullmanage:workFullManage:edit">--%>
    					<%--<a href="javascript:void(0)" onclick="openDialog('修改项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>--%>
    				<%--</shiro:hasPermission>--%>
    				<%--<shiro:hasPermission name="workfullmanage:workFullManage:del">--%>
						<%--<a href="${ctx}/workfullmanage/workFullManage/delete?id=${workFullManage.id}" onclick="return confirmx('确认要删除该项目登记吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>--%>
					<%--</shiro:hasPermission>--%>
				<%--</td>--%>
			</tr>
		</c:forEach>
		</c:when>
			<c:otherwise>
				<tr>
					<td colspan="15" align="center">
						暂无数据
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>

		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>