<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>中标维护</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            $(".input-group").hide();
        });

        //选择送标员
        var workBidingDocumentId;
        var aId ;
        function sender_select(index,id) {
            workBidingDocumentId = id ;
            aId = "sender_select_a_"+index;
            $("#sender_select_btn_"+index+"Name").click();
        }


	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<%--<div class="ibox-title">
			<h5>中标维护 </h5>
			<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>
				<ul class="dropdown-menu dropdown-user">
					<li><a href="javascript:void(0)">选项1</a>
					</li>
					<li><a href="javascript:void(0)">选项2</a>
					</li>
				</ul>
				<a class="close-link">
					<i class="fa fa-times"></i>
				</a>
			</div>
		</div>--%>

		<div class="ibox-content">
			<sys:message content="${message}"/>

			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="workBidingDocument" action="${ctx}/workbidingdocument/workBidingDocument/maintain" method="post" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
						<div class="form-group">
							<span>项目编号：</span>
							<form:input path="workBidProject.projectNumber" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
							<span>项目名称：</span>
							<form:input path="workBidProject.projectName" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
							<span>项目类型：</span>
							<form:select path="workBidProject.projectType"  class="form-control m-b">
								<form:option value="" label=""/>
								<form:options items="${fns:getMainDictList('contract_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-left">
						<shiro:hasPermission name="workbidingdocument:workBidingDocument:import">
							<table:importExcel url="${ctx}/workbidingdocument/workBidingDocument/import"></table:importExcel><!-- 导入按钮 -->
						</shiro:hasPermission>
						<shiro:hasPermission name="workbidingdocument:workBidingDocument:export">
							<table:exportExcel url="${ctx}/workbidingdocument/workBidingDocument/export"></table:exportExcel><!-- 导出按钮 -->
						</shiro:hasPermission>
						<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>

					</div>
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>

			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th style="text-align: center;">序号</th>
					<th style="text-align: center;">项目编号</th>
					<th style="text-align: center;">项目名称</th>
					<th style="text-align: center;">项目类型</th>
					<th style="text-align: center;">招标单位</th>
					<%--<th style="text-align: center;">联系人</th>--%>
					<th style="text-align: center;">负责人</th>
					<th style="text-align: center;">投标日期</th>
					<th style="text-align: center;">投标费用(元)</th>
					<th style="text-align: center;">送标员</th>
					<th style="text-align: center;">中标状态</th>
				</tr>
				</thead>
				<tbody>
				<c:forEach items="${page.list}" var="workBidingDocument" varStatus="index">
					<c:set var="workClientLinkmanList" value="${workBidingDocument.workBidProject.workClientLinkmanList}" />
					<c:set var="masterList" value="${workBidingDocument.workBidProject.masterList}" />
					<tr>
						<td> ${index.index +1}</td>
						<td>
							<span title="${workBidingDocument.workBidProject.projectNumber}">${fns:abbr(workBidingDocument.workBidProject.projectNumber, 20)}</span>
						</td>
						<td><shiro:hasPermission name="workbidproject:workBidProject:view">
							<a href="javascript:void(0)" onclick="openDialogView('查看投标项目', '${ctx}/workbidproject/workBidProject/form?id=${workBidingDocument.workBidProject.id}&name=view','80%','80%')">
								<span title="${workBidingDocument.workBidProject.projectName}">${fns:abbr(workBidingDocument.workBidProject.projectName, 30)}</span>
							</a>
						</shiro:hasPermission>
						</td>
						<td>
								${fns:getMainDictLabel(workBidingDocument.workBidProject.projectType, 'contract_type', '')}
						</td>
						<td>
							<span title="${workBidingDocument.workBidProject.bidCompany.name}">${fns:abbr(workBidingDocument.workBidProject.bidCompany.name, 30)}</span>
						</td>
						<%--<td>--%>
							<%--<c:if test="${not empty workClientLinkmanList}">--%>
								<%--<c:forEach items="${workClientLinkmanList}" var="entry"  varStatus="status">--%>
									<%--<c:choose>--%>
										<%--<c:when test="${status.first}">--%>
											<%--<c:set scope="page" var="sub">${entry.name}</c:set>--%>
										<%--</c:when>--%>
										<%--<c:otherwise>--%>
											<%--<c:set scope="page" var="sub">${sub},${entry.name}</c:set>--%>
										<%--</c:otherwise>--%>
									<%--</c:choose>--%>
								<%--</c:forEach>--%>
								<%--<span title="${sub}">${fns:abbr(sub, 30)}</span>--%>
							<%--</c:if>--%>
						<%--</td>--%>
						<td>
							<c:if test="${not empty masterList}">
								<c:forEach items="${masterList}" var="entry"  varStatus="status">
									<c:choose>
										<c:when test="${status.first}">
											<c:set scope="page" var="sub">${entry.name}</c:set>
										</c:when>
										<c:otherwise>
											<c:set scope="page" var="sub">${sub},${entry.name}</c:set>
										</c:otherwise>
									</c:choose>
								</c:forEach>
								<span title="${sub}">${fns:abbr(sub, 30)}</span>
							</c:if>
						</td>
						<td>
							<fmt:formatDate value="${workBidingDocument.workBidProject.bidDate}" pattern="yyyy-MM-dd"/>

						</td>
						<td> <!-- 投标费用 -->
							${workBidingDocument.name}
						</td>
						<td>
							<div style="text-align: center">
							<c:choose>
								<c:when test="${workBidingDocument.bidStatus eq 0}">
									<c:if test="${workBidingDocument.optionFlag eq 1}">
										<a id="sender_select_a_${index.index}" class="btn btn-info btn-xs" onclick="sender_select('${index.index}','${workBidingDocument.id}');">
											<c:if test="${empty workBidingDocument.sender}">选择送标员</c:if>
											<c:if test="${not empty workBidingDocument.sender}">${workBidingDocument.sender}</c:if>
										</a>
										<sys:senderselect id="sender_select_btn_${index.index}" name="sender_select_btn_${index.index}"
														  value="${workBidingDocument.id}" labelName="senderName" labelValue="${workBidingDocument.id}"
														  title="送标员" url="/sys/office/treeDataAll?type=3" cssClass="form-control "
														  notAllowSelectParent="true"/>

									</c:if>
									<c:if test="${workBidingDocument.optionFlag ne 1}">
										<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('仅项目登记人可以进行此操作',{icon:2})" class="btn btn-default btn-xs">
											<c:if test="${empty workBidingDocument.sender}">选择送标员</c:if>
											<c:if test="${not empty workBidingDocument.sender}">${workBidingDocument.sender}</c:if>
										</a>
									</c:if>
								</c:when>
								<c:otherwise>
									<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('已投标，无法修改',{icon:2})" class="btn btn-default btn-xs">${workBidingDocument.sender}</a>
								</c:otherwise>
							</c:choose>
							</div>
						</td>
						<td>
							${fns:getDictLabel(workBidingDocument.bidStatus, 'workBidingDocument_bid_status','' )}
						</td>
					</tr>
				</c:forEach>
				</tbody>
			</table>

			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>