<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>合同审批</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<style>
		.shows .input-group{
			width: 78%!important;
		}
		.form-group shows{
			width: auto;
		}
		#beginContractDate{
			width:200px;
		}
		#endContractDate{
			width:200px;
		}
	</style>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li ><a href="${ctx}/workcontractinfo/workContractInfo/list">合同管理</a></li>
					<li><a href="${ctx}/workcontractinfo/workContractInfo/toDoList">待办任务</a></li>
					<li class="active"><a href="${ctx}/workcontractinfo/workContractInfo/HistoryList">已办任务</a></li>
					<li><a href="${ctx}/workcontractinfoalter/workContractInfoAlter/alterLists">变更记录</a></li>
					<%--<shiro:hasPermission name="workreimbursement:workreimbursement:edit"><li><a href="${ctx}/workreimbursement/workReimbursement/form?tabId=0">报销申请</a></li></shiro:hasPermission>--%>
				</ul>
			</h5>
			<%--<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>--%>
		</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
		<form:form id="searchForm" modelAttribute="act" action="${ctx}/workcontractinfo/workContractInfo/HistoryList" method="get" class="form-inline">
			<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
			<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
			<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
			<div class="form-group">
				<label>创建时间：</label>
				<input class="form-control layer-date laydate-icon" id="beginDate" name="beginDate" value="<fmt:formatDate value="${act.beginDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
				　--　
				<input class="form-control layer-date laydate-icon" id="endDate" name="endDate" value="<fmt:formatDate value="${act.endDate}" pattern="yyyy-MM-dd"/>" onclick="laydate({istime: false, format: 'YYYY-MM-DD'})">
			</div>
		</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<%--<div class="pull-left">
			<shiro:hasPermission name="workcontractinfo:workContractInfo:add">
				<table:addRow url="${ctx}/workcontractinfo/workContractInfo/form" title="合同管理"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workcontractinfo:workContractInfo:edit">
			    <table:editRow url="${ctx}/workcontractinfo/workContractInfo/form" title="合同管理" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workcontractinfo:workContractInfo:del">
				<table:delRow url="${ctx}/workcontractinfo/workContractInfo/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workcontractinfo:workContractInfo:import">
				<table:importExcel url="${ctx}/workcontractinfo/workContractInfo/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workcontractinfo:workContractInfo:export">
	       		<table:exportExcel url="${ctx}/workcontractinfo/workContractInfo/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>--%>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<%--<th style="text-align: center;"> <input type="checkbox" class="i-checks"></th>--%>
				<th style="text-align: center;"  class="sort-column contractNum">审批类型</th>
				<th style="text-align: center;"  class="sort-column contractNum">合同编号</th>
				<th style="text-align: center;"  class="sort-column name" >合同名称</th>
				<th style="text-align: center;"  class="sort-column client.id">客户名称</th>
				<th style="text-align: center;"  class="sort-column client.id">合同类型</th>
				<%--<th  class="sort-column client.id">公司/部门</th>--%>
				<th style="text-align: center;" class="sort-column contractPrice">合同金额(元)</th>
				<th style="text-align: center;" class="sort-column contractDate">签订日期</th>
				<th style="text-align: center;" class="sort-column createBy.id">创建人</th>
				<th style="text-align: center;" class="sort-column contractState">合同状态</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
			<c:when test="${not empty list}">
				<c:forEach items="${list}" var="workContractInfo">
					<c:set var="task" value="${workContractInfo.act.task}" />
					<c:set var="vars" value="${workContractInfo.act.vars}" />
					<c:set var="procDef" value="${workContractInfo.act.procDef}" /><%--
						<c:set var="procExecUrl" value="${act.procExecUrl}" /> --%>
					<c:set var="status" value="${workContractInfo.act.status}" />
					<tr>
						<%--<td> <input type="checkbox" id="${workContractInfo.id}" class="i-checks"></td>--%>
						<td>
							<a  href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workcontractinfo/workContractInfo/getProcess?id=${workContractInfo.id}&auditType=${workContractInfo.auditType}','80%','80%')">
								${workContractInfo.auditType}
							</a>
						</td>
						<td>
								${workContractInfo.contractNum}
						</td>
						<td>
							<a  href="javascript:void(0)" onclick="openDialogView('查看合同管理', '${ctx}/workcontractinfo/workContractInfo/lookForm?id=${workContractInfo.id}','80%','80%')">
								${workContractInfo.name}
							</a>
						</td>
						<td><a  href="javascript:void(0)" onclick="openDialogView('查看客户管理', '${ctx}/workclientinfo/workClientInfo/detail?id=${workContractInfo.client.id}','80%','80%')">
								${workContractInfo.client.name}
						</a></td>
						<td>
								${fns:getMainDictLabel(workContractInfo.contractType, 'contract_type', '')}
						</td>
						<%--<td>
								${workContractInfo.chargeCompanyName}
						</td>--%>
						<td>
								${workContractInfo.contractPrice}
						</td>
						<td>
							<fmt:formatDate value="${workContractInfo.contractDate}" pattern="yyyy-MM-dd"/>
						</td>

						<td>
								${workContractInfo.createName}
						</td>
						<td>
								${fns:getDictLabel(workContractInfo.contractState, 'contract_state', '')}
						</td>

					</tr>
				</c:forEach>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="12" align="center">暂无数据</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</body>
</html>