<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目立项</title>
	<meta name="decorator" content="default"/>
	<style type="text/css">
		.table{
			margin-bottom: 0px;
		}
	</style>
	<script type="text/javascript">
		$(function(){
		    var oneSize = $(".oneTab").size();
		    for(var i = 0;i < oneSize;i++){
                var hei = $(".oneTab:eq("+i+")").parent().height();
                $(".oneTab:eq("+i+")").css("height",hei)
                    .css("vertical-align","middle")
                    .css("line-height",hei+"px")
			}
		})
	</script>
</head>
<body class="hideScroll">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-content">
			<div class="col-sm-12">
				<div class="col-sm-2 gray-bg text-center oneTab">
					<label>项目意向</label>
				</div>
				<div class="col-sm-10 " >
					<!-- 表格 -->
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<thead>
							<tr>
								<th>序号</th>
								<th>文件类型</th>
								<th>附件表</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>1</td>
								<td>市场研究咨询</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=7','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>2</td>
								<td>开发产品（项目）咨询</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=8','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>3</td>
								<td>产业研究咨询</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=9','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>4</td>
								<td>建设工程全过程投资监控</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=10','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>5</td>
								<td>工程设计招标代理</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=11','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>6</td>
								<td>其他</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=12','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-sm-12 m-t-xs">
				<div class="col-sm-2 gray-bg text-center oneTab">
					<label>项目建议</label>
				</div>
				<div class="col-sm-10 " >
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<thead>
						<tr>
							<th>序号</th>
							<th>文件类型</th>
							<th>附件表</th>
						</tr>
						</thead>
						<tbody>
						<tr>
							<td>1</td>
							<td>其他</td>
							<td>
								<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=35','80%','80%')" class="btn btn-info btn-xs">查看</a>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-sm-12 m-t-xs">
				<div class="col-sm-2 gray-bg text-center oneTab">
					<label>可行性研究</label>
				</div>
				<div class="col-sm-10 " >
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<thead>
							<tr>
								<th>序号</th>
								<th>文件类型</th>
								<th>附件表</th>
							</tr>
							</thead>
							<tbody>
							<tr>
								<td>1</td>
								<td>项目可行性研究</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=13','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>1</td>
								<td>建设项目投资估算</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=14','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>1</td>
								<td>建设项目设计概算</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=15','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
							<tr>
								<td>1</td>
								<td>其他</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=16','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-sm-12 m-t-xs">
				<div class="col-sm-2 gray-bg text-center oneTab">
					<label>项目评估与决策</label>
				</div>
				<div class="col-sm-10 " >
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<thead>
						<tr>
							<th>序号</th>
							<th>文件类型</th>
							<th>附件表</th>
						</tr>
						</thead>
						<tbody>
						<tr>
							<td>1</td>
							<td>其他</td>
							<td>
								<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=17','80%','80%')" class="btn btn-info btn-xs">查看</a>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-sm-12 m-t-xs">
				<div class="col-sm-2 gray-bg text-center oneTab">
					<label>部门安排</label>
				</div>
				<div class="col-sm-10 " >
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<tbody>
						<tr>
							<td class="width-15 active"><label class="pull-right">主办公司及部门：</label></td>
							<td class="width-25">
								<%--<sys:treeselect id="hostCompany" name="hostCompany.id" value="${workFullManage.hostCompany.id}" labelName="hostCompany.name" labelValue="${workFullManage.hostCompany.name}"--%>
												<%--title="部门" url="/sys/office/treeData?type=2" cssClass="form-control required" allowClear="true" notAllowSelectParent="true"/>--%>
								${workFullManage.hostCompany.name}
							</td>
							<td class="width-15 active"><label class="pull-right">协办公司及部门：</label></td>
							<td class="width-25">
								<%--<sys:treeselect id="followCompany" name="followCompany.id" value="${workFullManage.followCompany.id}" labelName="followCompany.name" labelValue="${workFullManage.followCompany.name}"--%>
												<%--title="部门" url="/sys/office/treeData?type=2" cssClass="form-control required" allowClear="true" notAllowSelectParent="true"/>--%>
								${workFullManage.followCompany.name}
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-sm-12 m-t-xs">
				<div class="col-sm-2 gray-bg text-center oneTab">
					<label>人员安排</label>
				</div>
				<div class="col-sm-10 " >
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<tbody>
						<tr>
							<td class="width-15 active"><label class="pull-right">主办公司负责人：</label></td>
							<td class="width-25">
								<%--<sys:treeselect id="hostMasterIds" name="hostMaster" value="${workFullManage.hostMaster}" labelName="hostMasterNames" labelValue="${workFullManage.hostMasterName}"--%>
												<%--title="用户" url="/sys/office/treeData?type=3&isAll=false" cssClass="form-control required" allowClear="true" notAllowSelectParent="true" checked="true"/>--%>
								${workFullManage.hostMasterName}
							</td>
							<td class="width-15 active"><label class="pull-right">协办公司负责人：</label></td>
							<td class="width-25">
								<%--<sys:treeselect id="followMasterIds" name="followMaster" value="${workFullManage.followMaster}" labelName="followMasterNames" labelValue="${workFullManage.followMasterName}"--%>
												<%--title="用户" url="/sys/office/treeData?type=3&isAll=false" cssClass="form-control required" allowClear="true" notAllowSelectParent="true" checked="true"/>--%>
								${workFullManage.followMasterName}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right">主办公司项目成员：</label></td>
							<td class="width-25">
								<%--<sys:treeselect id="hostMemberIds" name="hostMember" value="${workFullManage.hostMember}" labelName="hostMemberNames" labelValue="${workFullManage.hostMemberName}"--%>
												<%--title="用户" url="/sys/office/treeData?type=3&isAll=false" cssClass="form-control required" allowClear="true" notAllowSelectParent="true" checked="true"/>--%>
								${workFullManage.hostMemberName}
							</td>
							<td class="width-15 active"><label class="pull-right">协办公司项目成员：</label></td>
							<td class="width-25">
								<%--<sys:treeselect id="followMemberIds" name="followMember" value="${workFullManage.followMember}" labelName="followMemberNames" labelValue="${workFullManage.followMemberName}"--%>
												<%--title="用户" url="/sys/office/treeData?type=3&isAll=false" cssClass="form-control required" allowClear="true" notAllowSelectParent="true" checked="true"/>--%>
								${workFullManage.followMemberName}
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>