<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目立项</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<style type="text/css">
		.table{
			margin-bottom: 0px;
		}
		.workfull>.form-horizontal{
			margin: 0;
			padding: 0;
		}
	</style>
	<script type="text/javascript">
        $(function(){
            var oneSize = $(".oneTab").size();
            for(var i = 0;i < oneSize;i++){
                var hei = $(".oneTab:eq("+i+")").parent().height();
                $(".oneTab:eq("+i+")").css("height",hei)
                    .css("vertical-align","middle")
                    .css("line-height",hei+"px")
            }
        })
        var validateForm;
        function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                $("#inputForm").submit();
                return true;
            }
            return false;
        }
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
        });
	</script>
</head>
<body class="hideScroll">
<div class="row">
	<div class="col-sm-12 m-t-md m-l-sm">
		<div class="col-sm-2 gray-bg text-center oneTab">
			<label>项目信息</label>
		</div>
		<div class="col-sm-10" >
			<!-- 表格 -->
			<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
				<tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目编号：</label></td>
					<td class="width-25">
						${workFullManage.fullProjectNumber}
					</td>
					<td class="width-15 active"><label class="pull-right">创建日期：</label></td>
					<td class="width-25">
						<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd HH:mm:ss" />
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
					<td class="width-25" colspan="3">
						${workFullManage.fullProjectName}
					</td>
				</tr>
				</tbody>
			</table>
		</div>
	</div>
	<div class="col-sm-12 m-t-xs m-l-sm">
		<div class="col-sm-2 gray-bg text-center oneTab">
			<label>归档资料</label>
		</div>
		<div class="col-sm-10 " >
			<p></p>
			<label>工程咨询结果</label>
			<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
				<thead>
				<tr>
					<th>序号</th>
					<th>文件类型</th>
					<th>附件表</th>
				</tr>
				</thead>
				<tbody>
				<tr>
					<td>1</td>
					<td>专题会议纪要</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=50','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				<tr>
					<td>2</td>
					<td>审计方案</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=51','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				<tr>
					<td>3</td>
					<td>审计管理建议</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=52','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				<tr>
					<td>4</td>
					<td>审计周报</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=53','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				<tr>
					<td>5</td>
					<td>审计月报</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=54','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				<tr>
					<td>6</td>
					<td>审计汇总表</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=55','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				<tr>
					<td>7</td>
					<td>总结</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=56','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				<tr>
					<td>8</td>
					<td>其他</td>
					<td>
						<a href="javascript:void(0)" onclick="openDialogView('附件信息','${ctx}/workfullmanage/workFullManage/queryInfoToFile?id=${workFullManage.id}&attachment=57','80%','80%')" class="btn btn-info btn-xs">查看</a>
					</td>
				</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
</body>
</html>