<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目计量支付审核</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
		      if(obj == 1){
                  $('#flag').val('yes');
              }else{
                  $('#flag').val('no');
              }
			  $("#inputForm").submit();
			  return true;
		  }else {
              parent.layer.msg("信息未填写完整!", {icon: 5});
          }
		  return false;
		}
		$(document).ready(function() {
			$("#name").focus();
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
		<div class="ibox">
			<div class="ibox-title">
				<h5>当前步骤--[${workFullPay.act.taskName}] </h5>
				<div class="ibox-tools">
					<a class="collapse-link">
						<i class="fa fa-chevron-up"></i>
					</a>
					<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
						<i class="fa fa-wrench"></i>
					</a>
					<ul class="dropdown-menu dropdown-user">
						<li><a href="javascript:void(0)">选项1</a>
						</li>
						<li><a href="javascript:void(0)">选项2</a>
						</li>
					</ul>
					<a class="close-link">
						<i class="fa fa-times"></i>
					</a>
				</div>
			</div>
			<form:form id="inputForm" modelAttribute="workFullPay" enctype="multipart/form-data" action="${ctx}/workfullmanage/workFullPay/saveAudit" method="post" class="form-horizontal">
				<form:hidden path="id"/>
				<form:hidden path="act.taskId"/>
				<form:hidden path="act.taskName"/>
				<form:hidden path="act.taskDefKey"/>
				<form:hidden path="act.procInsId"/>
				<form:hidden path="act.procDefId"/>
				<form:hidden id="flag" path="act.flag"/>
				<sys:message content="${message}"/>
				<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
					<tbody>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>申请单位：</label></td>
						<td class="width-35">
								${workFullPay.applyUnit}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>付款内容：</label></td>
						<td class="width-35">
								${workFullPay.payContent}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>施工标段：</label></td>
						<td class="width-35">
								${workFullPay.constructionTender}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>本次申请金额(元)：</label></td>
						<td class="width-35">
								${workFullPay.thisApplyMoney}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>合同金额(元)：</label></td>
						<td class="width-35">
								${workFullPay.arrangeMoney}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>合同最高支付金额(元)：</label></td>
						<td class="width-35">
								${workFullPay.arrangePayMoney}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>核定支付金额(元)：</label></td>
						<td class="width-35">
								${workFullPay.confirmPayMoney}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>累计付款金额(元)：</label></td>
						<td class="width-35">
								${workFullPay.totalPayMoney}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>完成工程产值：</label></td>
						<td class="width-35">
								${workFullPay.completeEngeerValue}
						</td>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>完成合同付款比例(%)：</label></td>
						<td class="width-35">
								${workFullPay.completePerPay}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>完成进度(%)：</label></td>
						<td class="width-35">
								${workFullPay.completeProcess}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
						<td class="width-35" colspan="3">
								${workFullPay.remarks}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right"><font color="red">*</font>审批意见：</label></td>
						<td class="width-25" colspan="3">
							<form:textarea path="act.comment" htmlEscape="form-control " rows="4"    class="form-control "/>
							<input type="file" name="upload_files" style="display: none;">
						</td>
					</tr>
					</tbody>
				</table>
				<sys:message content="${message}"/>
				<act:flowChart procInsId="${workFullPay.act.procInsId}"/>
				<act:histoicFlow procInsId="${workFullPay.act.procInsId}"/>
			</form:form>
		</div>
	</div>
</body>
</html>

