<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>收文管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
            laydate.render({
                elem: '#incomeDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });
		});

        function insertTitle(tValue){
            var list = "${workIncomingMessage.workAttachments}";
            var size = (list.split('url')).length-1;
            var files = $("#attachment_file")[0].files;            for(var i = 0;i<files.length;i++) {                var file = files[i];
            var attachmentId = "";
            var attachmentFlag = "100";
            console.log(file);
            var timestamp=new Date().getTime();

            var storeAs = "attachment-file/workIncomingMessage/"+timestamp+"/"+file['name'];
            var uploadPath="http://gangwan-app.oss-cn-hangzhou.aliyuncs.com/"+storeAs;/*将这段字符串存到数据库即可*/
            var divId = "_attachment";
            $("#addFile"+divId).show();
            multipartUploadWithSts(storeAs, file,attachmentId,attachmentFlag,uploadPath,divId,size);}
        }
	</script>
</head>
<body>
<div class="single-form">
    <div class="container">
		<form:form id="inputForm" modelAttribute="workIncomingMessage" action="${ctx}/workincomingmessage/workIncomingMessage/saveAudit" method="post" class="form-horizontal">
		<form:hidden path="id"/>
        <form:hidden path="home"/>
        <form:hidden path="act.taskId"/>
        <form:hidden path="act.taskName"/>
        <form:hidden path="act.taskDefKey"/>
        <form:hidden path="act.procInsId"/>
        <form:hidden path="act.procDefId"/>
        <form:hidden id="flag" path="act.flag"/>
            <div class="form-group layui-row first">
                <div class="form-group-label"><h2>基础信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文标题：</label>
                    <div class="layui-input-block">
                        <form:input path="title" htmlEscape="false"    class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>收文编号：</label>
                    <div class="layui-input-block">
                        <div class="input-group">
                            <form:input path="num" htmlEscape="false"  readonly="true"  class="form-control  layui-input"/>
                            <span class="input-group-btn">
                                <label class="form-status"><c:choose><c:when test="${not empty workIncomingMessage.state}">${fns:getDictLabel(workIncomingMessage.state, 'audit_state', '')}</c:when><c:otherwise>新添</c:otherwise></c:choose></label>
                             </span>
                        </div>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文字号：</label>
                    <div class="layui-input-block">
                        <form:input path="wordSize" htmlEscape="false"    class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文日期：</label>
                    <div class="layui-input-block">
                        <input id="incomeDate" name="incomeDate" type="text" maxlength="20" class="laydate-icondate form-control layui-input layer-date laydate-icon required"
                               value="<fmt:formatDate value="${workIncomingMessage.incomeDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>来文单位：</label>
                    <div class="layui-input-block">
                        <form:input path="incomePart" htmlEscape="false"    class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>份    数：</label>
                    <div class="layui-input-block">
                        <form:input path="counts" htmlEscape="false"    class="form-control digits layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>申请人：</label>
                    <div class="layui-input-block">
                        <form:input path="createBy.name" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                        <form:hidden path="createBy.id" htmlEscape="false"    class="form-control required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">所属部门：</label>
                    <div class="layui-input-block">
                        <input type="text" name="office.name" readonly="readonly" class="form-control layui-input"  value="${workIncomingMessage.office.topCompany}"/>
                        <input type="hidden" name="office.id" readonly="readonly" class="form-control layui-input"  value="${workIncomingMessage.office.id}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">拟办意见：</label>
                    <div class="layui-input-block">
                        <form:textarea path="remarks" htmlEscape="false" maxlength="255" rows="3" class="form-control"/>
                    </div>
                </div>
                <%--<div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">领导批示：</label>
                    <div class="layui-input-block">
                        <form:textarea path="opinion" htmlEscape="false" readonly="true" rows="3" class="form-control"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12">
                    <label class="layui-form-label">处理人：</label>
                    <div class="layui-input-block with-icon">
                        <input type="text" value="${workIncomingMessage.leaderNameStr}" readonly="readonly"  class="form-control layui-input">
                    </div>
                </div>--%>
            </div>
            <div class="form-group layui-row">
                <div class="form-group-label"><h2>报销附件信息</h2></div>
                <div class="layui-item nav-btns">
                    <a id="attachment_btn" class="nav-btn nav-btn-add" title="添加附件"><i class="fa fa-plus"></i>&nbsp;添加附件</a>
                </div>
                <div id="addFile_attachment" style="display: none" class="upload-progress">
                    <span id="fileName_attachment" ></span>
                    <b><span id="baifenbi_attachment" ></span></b>
                    <div class="progress">
                        <div id="jindutiao_attachment" class="progress-bar" style="width: 0%" aria-valuenow="0">
                        </div>
                    </div>
                </div>
                <input id="attachment_file" type="file" name="attachment_file" multiple="multiple" style="display: none;" onChange="if(this.value)insertTitle(this.value);"/>
                <span id="attachment_title"></span>
                <div class="layui-item layui-col-xs12" style="padding:0 16px;">
                    <table id="upTable" class="table table-bordered table-condensed details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件预览</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment">
                        <c:forEach items="${workIncomingMessage.workAttachments}" var = "workClientAttachment" varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <div class="op-btn-box" >
                                        <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>

                                        <c:if test="${workClientAttachment.createBy.id eq fns:getUser().id}">
                                            <a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/sys/workattachment/deleteFileFromAliyun?url=${workClientAttachment.url}&id=${workClientAttachment.id}&type=2','addFile')" class="op-btn op-btn-delete" ><i class="fa fa-trash"></i>&nbsp;删除</a>
                                        </c:if>
                                    </div>
                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
	</form:form>
    </div>
</div>
</body>
</html>