<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>发文管理管理</title>
	<meta name="decorator" content="default"/>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function() {
            $("#cus_name").show();
            $("#cus_name").siblings().hide();
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
	        laydate.render({
	            elem: '#beginCreateDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
	            event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
	        });
	        laydate.render({
	            elem: '#endCreateDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
	            event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
	        });

		});
        function openDialog(title,url,width,height,target) {

            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }

            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
                skin: 'three-btns',
                btn: ['送审', '暂存', '关闭'],
                /*yes: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                    if (iframeWin.contentWindow.doSubmit()) {
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function () {
                            top.layer.close(index)
                        }, 100);//延时0.1秒，对应360 7.1版本bug
                    }

                },*/
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        // top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }else {
                        return false;
                    }
                },
                btn3: function (index) {
                }
            });
        }
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="contentShadow layui-row" id="queryDiv">
	            <form:form id="searchForm" modelAttribute="workSendMessage" action="${ctx}/worksendmessage/workSendMessage/memberList" method="post" class="form-inline">
                    <input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
                    <input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
                    <table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
                    <div class="commonQuery">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">发文标题：</label>
                            <div class="layui-input-block">
                                <form:input path="title" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">发文文号：</label>
                            <div class="layui-input-block">
                                <form:input path="num" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
                            </div>
                        </div>
                        <div class="layui-item athird fr">
                            <div class="input-group">
                                <a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
                                <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                                <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                            </div>
                        </div>
                        <div style="    clear:both;"></div>
                    </div>
                    <div id="moresees" style="clear:both;display:none;">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">发文日期：</label>
                            <div class="layui-input-block">
                                <input id="beginCreateDate" name="beginCreateDate" type="text" readonly="readonly" maxlength="20" placeholder="开始时间" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                       value="<fmt:formatDate value="${workSendMessage.beginCreateDate}" pattern="yyyy-MM-dd"/>"/>
                                </input>
                                <span class="group-sep">-</span>
                                <input id="endCreateDate" name="endCreateDate" type="text" readonly="readonly" maxlength="20" placeholder="结束时间" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
                                       value="<fmt:formatDate value="${workSendMessage.endCreateDate}" pattern="yyyy-MM-dd"/>"/>
                                </input>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">发文类型：</label>
                            <div class="layui-input-block">
                                <form:select path="docType" class="form-control layui-input">
                                    <form:option value="" label=""/>
                                    <form:options items="${fns:getMainDictList('doc_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
                                </form:select>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">拟 稿 人：</label>
                            <div class="layui-input-block">
                                <form:input path="person" htmlEscape="false" class="form-control  layui-input"/>
                            </div>
                        </div>
                    </div>
	            </form:form>
	        </div>
	    </div>

        <div class="full-width fl">
            <div class="contentShadow layui-form contentDetails">
                <div class="nav-btns">
                    <button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
                    <div style="clear: both;"></div>
                </div>
                <table class="oa-table layui-table" id="contentTable"></table>

                <!-- 分页代码 -->
                <table:page page="${page}"></table:page>
                <div style="clear: both;"></div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'num',align:'center', title: '发文文号',sort:true,minWidth:200,templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0);\" onclick=\"openDialogView('查看发文', '${ctx}/worksendmessage/workSendMessage/memberView?id="+d.id+"','95%','95%')\">" +
                            "<span title=" + d.num + ">" + d.num + "</span></a>";
                        return xml;
                    }}
                ,{field:'title',align:'center', title: '发文标题',minWidth:150}
                ,{field:'docType',align:'center', title: '发文类型', minWidth:150}
                ,{field:'person',align:'center', title: '拟 稿 人', minWidth:150}
                ,{field:'createDate', align:'center',sort:true,title: '发文日期',width:100}
                ,{field:'op',align:'center',title:"操作",width:100,templet:function(d){
                        ////对操作进行初始化
                        var xml ="<a href=\"javascript:void(0)\" onclick=\"openDialogView('查看发文', '${ctx}/worksendmessage/workSendMessage/memberView?id=" + d.id+"','95%','95%')\" class=\"op-btn op-btn-view\" ><i class=\"fa fa-search-plus\"></i> 查看</a>"
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workSendMessage" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workSendMessage.id}"
                    ,"num":"${workSendMessage.num}"
                    ,'docType':"${fns:getMainDictLabel(workSendMessage.docType,'doc_type','')}"
                    ,'person':"<c:out value="${workSendMessage.person}" escapeXml="true"/>"
                    ,'title':"<c:out value="${workSendMessage.title}" escapeXml="true"/>"
                    ,"createDate":"<fmt:formatDate value="${workSendMessage.createDate}" pattern="yyyy-MM-dd"/>"
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable(100);/*消除由于有竖向滚动条造成table出现横向滚动条*/
    $("a").on("click",addLinkVisied);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>