/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.buydetails.dao;

import com.jeeplus.modules.oabuy.entity.OaBuy;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.buydetails.entity.BuyDetails;

/**
 * 采购明细DAO接口
 * @author liuw
 * @version 2018-01-16
 */
@MyBatisDao
public interface BuyDetailsDao extends CrudDao<BuyDetails> {

	public List<OaBuy> findListByoaBuy(OaBuy oaBuy);
	
}