/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.leavetype.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.leavetype.entity.LeaveType;
import com.jeeplus.modules.sys.entity.MainDictDetail;
import org.apache.ibatis.annotations.Param;

/**
 * 假期类型字典DAO接口
 * @author ssrh
 * @version 2018-09-07
 */
@MyBatisDao
public interface LeaveTypeDao extends CrudDao<LeaveType> {
    public int upateEndFlag(LeaveType l);
    public int updateDelFlag(@Param("id") String id,@Param("flat") String flat);
    public LeaveType getNameByIdAndKey(LeaveType leaveType);

}