/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.sys.entity.Certificate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人员证书DAO接口
 * @author fgy
 * @version 2017-12-08
 */
@MyBatisDao
public interface CertificateDao extends CrudDao<Certificate> {

	void save(Certificate certificate);

    List<Certificate> getListByUserInfoId(@Param("userInfoId") String userInfoId);
}