/**
 * Copyright &copy; 2013-2017 <a href="http://www.rhcncpa.com/">瑞华会计师事务所</a> All rights reserved.
 */
package com.jeeplus.modules.sys.web;

import com.jeeplus.common.web.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 图片预览Controller
 * @author 付光裕
 * @version 2018-01-22
 */
@Controller
@RequestMapping(value = "${adminPath}/sys/picturepreview")
public class PicturePreviewController extends BaseController {

	@RequestMapping("picturePreview")
	public String picturePreview(@RequestParam("url")String url, Model model){
		model.addAttribute("url",url);
		return "modules/sys/picturePreview";
	}
}
