/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workcontent.entity.WorkContentInvestmentCost;

import java.util.List;


/**
 * 工程费用DAO接口
 * @author ssrh
 * @version 2018-06-05
 */
@MyBatisDao
public interface WorkContentInvestmentCostDao extends CrudDao<WorkContentInvestmentCost> {


    void batchInsert(List<WorkContentInvestmentCost> wlist);
}