/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullproprietorsheet.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;
import com.jeeplus.modules.workfullproprietorsheet.entity.WorkFullProprietorsheet;

import java.util.List;

/**
 * 业主联系单DAO接口
 * @author fgy
 * @version 2017-11-06
 */
@MyBatisDao
public interface WorkFullProprietorsheetDao extends CrudDao<WorkFullProprietorsheet> {


    List<WorkFullManage> getListOfWorkFullManage(WorkFullManage workFullManage);

    void updateProcessInstanceId(WorkFullProprietorsheet workFullProprietorsheet);

    void updateStatus(WorkFullProprietorsheet workFullProprietorsheet);

    WorkFullProprietorsheet getByProcessInstanceId(String processInstanceId);
}