/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workpettycash.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workpettycash.entity.WorkPettyCash;

/**
 * 备用金申请DAO接口
 * @author fgy
 * @version 2018-01-15
 */
@MyBatisDao
public interface WorkPettyCashDao extends CrudDao<WorkPettyCash> {

    WorkPettyCash getByProcessInstanceId(String processInstanceId);

    int updateProcessInstanceId(WorkPettyCash workPettyCash);
}