/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workregularapply.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workregularapply.entity.WorkRegularScore;
import com.jeeplus.modules.workregularapply.dao.WorkRegularScoreDao;

/**
 * 转正申请评分表Service
 * @author chenyuping
 * @version 2018-07-30
 */
@Service
@Transactional(readOnly = true)
public class WorkRegularScoreService extends CrudService<WorkRegularScoreDao, WorkRegularScore> {

	public WorkRegularScore get(String id) {
		return super.get(id);
	}
	
	public List<WorkRegularScore> findList(WorkRegularScore workRegularScore) {
		return super.findList(workRegularScore);
	}
	
	public Page<WorkRegularScore> findPage(Page<WorkRegularScore> page, WorkRegularScore workRegularScore) {
		return super.findPage(page, workRegularScore);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkRegularScore workRegularScore) {
		super.save(workRegularScore);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkRegularScore workRegularScore) {
		super.delete(workRegularScore);
	}
	
	
	
	
}