<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>人员简历信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp('slow');
                    $(this).text("更多").removeClass("fa fa-chevron-up").addClass("fa fa-chevron-down");
                    //document.getElementById("moresees").style.visibility = "hidden";
                }else{
                    $('#moresees').slideDown('slow');
                    $(this).text("收起").removeClass("fa fa-chevron-down").addClass("fa fa-chevron-up");
                    //document.getElementById("moresees").style.visibility = "visible";
                }
            });
		});
        function openDialogre(title,url,width,height,target) {
            if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
                width = 'auto';
                height = 'auto';
            } else {//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url,
                btn: ['确定', '关闭'],
                yes: function (index, layero) {
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if (target) {
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    } else {
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target", top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    var formId = inputForm.attr("id");
                    if(formId){
                        var $document = iframeWin.contentWindow.document;
                        $document.getElementById(formId).setAttribute("action","${ctx}/hr/jobResume/save");
                        var fileInput = $document.getElementById("attachment_file").files[0];
                        var fileSize = $(fileInput).size();
                        if(fileSize==0){
                            top.layer.alert('请至少上传一个附件!', {icon: 0, title:'警告'});
							return ;
                        }
                        formSubmit($document,formId,index);
                    }
                },
                no: function (index) {
                }
            });
        }
        function formSubmit($document,inputForm,index){
            var validateForm = $($document.getElementById(inputForm)).validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $($document.getElementById("#messageBox")).text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            if(validateForm.form()){
                var loadingMessage = parent.layer.load(0, {shade: [0.1,'#393d49']});
                $($document.getElementById(inputForm)).ajaxSubmit({
                    success:function(data) {
                        top.layer.close(index);
                        parent.layer.msg("保存成功！！！",{icon:6});
                        parent.layer.close(loadingMessage);
                        window.location.reload();
                    }
                });
            }
        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>人员简历信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>--%>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="userInfo" action="${ctx}/hr/jobResume/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>姓名：</span>
			<form:input path="name" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>性别：</span>
			<form:select path="gender" class="form-control m-b">
				<form:option label="" value="" />
				<form:options items="${fns:getDictList('sex')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
			</form:select>
			<span>电话：</span>
			<form:input path="mobilePhone" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<span>身份证号：</span>
			<form:input path="idCard" htmlEscape="false" maxlength="64"  class=" form-control input-sm"/>
			<br>

		</div>
		<div style="display:none;margin-top: 15px" id="moresees">
		<span>部门：</span>
		<sys:treeselect id="office" name="officeId" value="${userInfo.office.id}" labelName="office.name" labelValue="${userInfo.office.name}"
						title="部门" url="/sys/office/treeData?type=2" cssClass=" form-control input-sm" allowClear="true" />
		</div>
	</form:form>
		<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th style="text-align: center;"> 序号 </th>
				<th style="text-align: center;"  class="sort-column name">姓名</th>
				<th style="text-align: center;"  class="sort-column gender">性别</th>
				<th style="text-align: center;"  class="sort-column mobilePhone">联系电话</th>
				<th style="text-align: center;"  class="sort-column officeId">部门</th>
				<th style="text-align: center;"  class="sort-column workstartDate">报到日期</th>
				<th style="text-align: center;">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="userInfo" varStatus="userInfoStatus">
			<tr>
				<td>
					${userInfoStatus.index + 1}
				</td>
				<td>
					<c:if test="${empty userInfo.name}">
						${userInfo.user.name}
					</c:if>
					<c:if test="${not empty userInfo.name}">
						${userInfo.name}
					</c:if>
				</td>
				<td>
					<c:if test="${empty userInfo.gender}">
						${fns:getDictLabel(userInfo.user.sex, 'sex', '')}
					</c:if>
					<c:if test="${!empty userInfo.gender}">
						${fns:getDictLabel(userInfo.gender, 'sex', '')}
					</c:if>
				</td>
				<td>
					<c:if test="${empty userInfo.mobilePhone}">
						${userInfo.user.mobile}
					</c:if>
					<c:if test="${!empty userInfo.mobilePhone}">
						${userInfo.mobilePhone}
					</c:if>
				</td>
				<td>
					${userInfo.office.name}
				</td>
				<td>
					<fmt:formatDate value="${userInfo.workstartDate}" pattern="yyyy-MM-dd"/>
				</td>
				<td>
					<div style="text-align: center">
					<shiro:hasPermission name="hr:jobResume:view">
						<a href="javascript:void(0)" onclick="openDialogView('查看人员简历信息', '${ctx}/hr/jobResume/form?dialog=jobResumeView&id=${userInfo.id}&userOfficeId=${userInfo.userOffice.id}&userId=${userInfo.userOffice.userId}','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="hr:jobResume:edit">
						<c:if test="${! empty userInfo.id}">
							<a href="javascript:void(0)" onclick="openDialogre('修改人员简历信息', '${ctx}/hr/jobResume/form?dialog=jobResumeEdit&id=${userInfo.id}&userOfficeId=${userInfo.userOffice.id}&userId=${userInfo.userOffice.userId}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
						</c:if>
						<c:if test="${empty userInfo.id}">
							<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('请先完善人员基本信息',{icon:2})" class="btn btn-default btn-xs"><i class="fa fa-edit"></i>修改</a>
						</c:if>
    				</shiro:hasPermission>
					</div>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>