<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>人员基本信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
	</script>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="userInfo" class="form-horizontal">
		<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
				<tr>
					<td class="width-15 active"><label class="pull-right">姓名：</label></td>
					<td class="width-35">
						<c:if test="${not empty userInfo.name}">${userInfo.name}</c:if>
						<c:if test="${empty userInfo.name}">${userInfo.user.name}</c:if>
					</td>
					<td class="width-15 active"><label class="pull-right">性别：</label></td>
					<td class="width-35">
						<c:if test="${not empty userInfo.gender}">
							${fns:getDictLabel(userInfo.gender,'sex' ,'' )}
						</c:if>
						<c:if test="${empty userInfo.gender}">
							${fns:getDictLabel(userInfo.user.sex,'sex' ,'' )}
						</c:if>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">昵称：</label></td>
					<td class="width-35">
						${userInfo.nickName}
					</td>
					<td class="width-15 active"><label class="pull-right">工号：</label></td>
					<td class="width-35">
						${userInfo.jobNumber}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">最高学历：</label></td>
					<td class="width-35">
						${fns:getDictLabel(userInfo.highestDegree,'education_level','')}
					</td>
					<td class="width-15 active"><label class="pull-right">最高学历院校：</label></td>
					<td class="width-35">
						${userInfo.highestSchool}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">最高学历专业：</label></td>
					<td class="width-35">
						${userInfo.highestProfession}
					</td>
					<td class="width-15 active"><label class="pull-right">最高学历毕业时间：</label></td>
					<td class="width-35">
						<fmt:formatDate value="${userInfo.highestGraduationTime}" pattern="yyyy-MM-dd"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">第一学历：</label></td>
					<td class="width-35">
						${fns:getDictLabel(userInfo.firstDegree,'education_level','')}
					</td>
					<td class="width-15 active"><label class="pull-right">第一学历院校：</label></td>
					<td class="width-35">
						${userInfo.firstSchool}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">第一学历专业：</label></td>
					<td class="width-35">
						${userInfo.firstProfession}
					</td>
					<td class="width-15 active"><label class="pull-right">第一学历毕业时间：</label></td>
					<td class="width-35">
						<fmt:formatDate value="${userInfo.firstGraduationTime}" pattern="yyyy-MM-dd"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">出生日期：</label></td>
					<td class="width-35">
						<fmt:formatDate value="${userInfo.birthday}" pattern="yyyy-MM-dd"/>
					</td>
					<td class="width-15 active"><label class="pull-right">身份证号：</label></td>
					<td class="width-35">
						${userInfo.idCard}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">职称：</label></td>
					<td class="width-35">
						${userInfo.professionalTitle}
					</td>
					<td class="width-15 active"><label class="pull-right">获取职称日期：</label></td>
					<td class="width-35">
						<fmt:formatDate value="${userInfo.professionalGetdate}" pattern="yyyy-MM-dd"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">社保账号：</label></td>
					<td class="width-35">
						${userInfo.socialInsuranceAccount}
					</td>
					<td class="width-15 active"><label class="pull-right">医保账号：</label></td>
					<td class="width-35">
						${userInfo.medicalInsuranceAccount}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">银行账号：</label></td>
					<td class="width-35">
						${userInfo.bankAccount}
					</td>
					<td class="width-15 active"><label class="pull-right">公积金账号：</label></td>
					<td class="width-35">
						${userInfo.providentFundAccount}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">QQ号：</label></td>
					<td class="width-35">
						${userInfo.qq}
					</td>
					<td class="width-15 active"><label class="pull-right">微信号：</label></td>
					<td class="width-35">
						${userInfo.weixin}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">联系电话：</label></td>
					<td class="width-35">
						<c:if test="${not empty userInfo.mobilePhone}">${userInfo.mobilePhone}</c:if>
						<c:if test="${empty userInfo.mobilePhone}">${userInfo.user.mobile}</c:if>
					</td>
					<td class="width-15 active"><label class="pull-right">电子邮件：</label></td>
					<td class="width-35">
						${userInfo.email}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">是否造价师（0否，1是）：</label></td>
					<td class="width-35">
						${fns:getDictLabel(userInfo.isCostengineer,'is_costEngineer','')}

					</td>
					<td class="width-15 active"><label class="pull-right">造价师取得日期：</label></td>
					<td class="width-35">
						<fmt:formatDate value="${userInfo.costengineerGetdate}" pattern="yyyy-MM-dd"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">报到日期：</label></td>
					<td class="width-35">
						<fmt:formatDate value="${userInfo.workstartDate}" pattern="yyyy-MM-dd"/>
					</td>
					<td class="width-15 active"><label class="pull-right">试用岗位：</label></td>
					<td class="width-35">
						${userInfo.probationPosition}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">试用期（n个月）：</label></td>
					<td class="width-35">
						${userInfo.probationDuration}
					</td>
					<td class="width-15 active"><label class="pull-right">试用结束日期：</label></td>
					<td class="width-35">
						<fmt:formatDate value="${userInfo.probationEnddate}" pattern="yyyy-MM-dd"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">职业资格：</label></td>
					<td class="width-35">
						${userInfo.professionalQualification}
					</td>
					<td class="width-15 active"><label class="pull-right">从事专业：</label></td>
					<td class="width-35">
						${userInfo.engagedJob}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">其他资质：</label></td>
					<td class="width-35" colspan="3">
						${userInfo.otherQualification}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">个人简介：</label></td>
					<td class="width-35" colspan="3">
						${userInfo.personalProfile}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">备注信息：</label></td>
					<td class="width-35" colspan="3">
						${userInfo.remarks}
					</td>
				</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>