<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>加班申请详情</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(function () {
            //只做查看时，禁用掉以下标签
            $('input,textarea,select').attr('disabled',"disabled");
        })
    </script>
</head>
<body>
<div class="ibox-content">
<form:form id="inputForm" modelAttribute="workOvertimeForm" action="" method="post" class="form-horizontal">
    <form:hidden path="id"/>
    <c:set var="id" value="${workOvertimeForm.id}" />
    <c:set var="ids" value="${workOvertimeForm.ids}" />
    <sys:message content="${message}"/>
    <div class="control-group">
    <label class="control-label">开始时间：</label>
    <div class="controls">
            ${workOvertimeForm.startTime}
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">结束时间：</label>
    <div class="controls">
            ${workOvertimeForm.endTime}
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">加班时长：</label>
    <div class="controls">
            ${workOvertimeForm.longTime}
    <span class="help-inline"></span>
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">加班事由：</label>
    <div class="controls">
            ${workOvertimeForm.reason}
    <span class="help-inline"></span>
    </div>
    </div>
    <div class="control-group">
    <label class="control-label">是否节假日：</label>
    <div class="controls">
            ${fns:getDictLabel(workOvertimeForm.isHolidays, 'is_holidays', '')}
    </div>
    </div>
    </form:form>
</div>
</body>
</html>
