<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>物品目录</title>
	<meta name="decorator" content="default"/>


	<style>
		.widthClass{
			display: inline-block;
		}
		.shows .input-group{
			width: 48%!important;
		}
	</style>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="workCatalogueItem" action="${ctx}/workcatalogueitem/workCatalogueItem/" method="post" class="form-inline">
					<%--以下三行照抄--%>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
					<div class="commonQuery ">
						<div class="layui-item query athird">
							<label class="layui-form-label">物品名称：</label>
							<div class="layui-input-block">
								<input id="name" name="name" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workCatalogueItem.name}" />
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">物品分类：</label>
							<div class="layui-input-block">
								<form:select path="type" class="form-control simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getMainDictList('item_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" style="clear:both;display:none;">
						<div class="layui-item query athird ">
							<label class="layui-form-label">移除状态：</label>
							<div class="layui-input-block">
								<form:select path="removeFlat" class=" form-control  simple-select">
									<form:option value="" label=""/>
									<form:option value="0" label="正常"/>
									<form:option value="1" label="移除"/>
								</form:select>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">物品编号：</label>
							<div class="layui-input-block">
								<input id="number" name="number" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workCatalogueItem.number}" />
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">规格型号：</label>
							<div class="layui-input-block">
								<input id="model" name="model" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workCatalogueItem.model}" />
								</input>
							</div>
						</div>
						<div class="layui-item query athird lw9">
							<label class="layui-form-label">是否固定资产：</label>
							<div class="layui-input-block">
								<form:select path="isAssets" class=" form-control  simple-select">
									<form:option value="" label=""/>
									<form:option value="1" label="是"/>
									<form:option value="0" label="否"/>
								</form:select>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">计量单位：</label>
							<div class="layui-input-block">
								<form:select path="primaryUnit" class="form-control simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getMainDictList('full_count_unit')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
						</div>
						<div style="clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<shiro:hasPermission name="workcatalogueitem:workCatalogueItem:add">
						<a href="javascript:void(0)" onclick="openDialogre('新增物品', '${ctx}/workcatalogueitem/workCatalogueItem/form','95%','95%')" class="nav-btn nav-btn-add" ><i class="fa fa-plus"></i>&nbsp;添加</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workcatalogueitem:workCatalogueItem:export">
							<table:exportExcel url="${ctx}/workcatalogueitem/workCatalogueItem/export"></table:exportExcel><!-- 导出按钮 -->
					</shiro:hasPermission>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'number',align:'center',sort: true, width:120,title: '物品编号', templet:function(d){
                            var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看物品目录', '${ctx}/workcatalogueitem/workCatalogueItem/form?id=" + d.id + "&tabId=1','95%','95%')\">" +
                                "<span title=" + d.number + ">" + d.number + "</span></a>";
                            return xml;
                    }},
                {field:'name',align:'center', minWidth:150, title: '物品名称',templet:function(d){
                        return "<span title='"+ d.name +"'>" + d.name + "</span>";
                    }}
                ,{field:'type',align:'center', minWidth:150, title: '物品分类',templet:function(d){
                        return "<span title='"+ d.type +"'>" + d.type + "</span>";
                    }}
                ,{field:'model',align:'center', minWidth:150, title: '规格型号',templet:function(d){
                        return "<span title='"+ d.model +"'>" + d.model + "</span>";
                    }}
                ,{field:'primaryUnit',align:'center',minWidth:150, title: '计量单位',templet:function(d){
                        return "<span title='"+ d.primaryUnit +"'>" + d.primaryUnit + "</span>";
                    }}
                ,{field:'createDate', align:'center',width:80,title: '创建日期'}
                ,{field:'isAssets',align:'center',width:100, title: '是否固定资产', templet:function(d){
                        return "<span title='"+ d.isAssets +"'>" + d.isAssets + "</span>";
                    }}
                ,{field:'removeFlat',align:'center',width:80, title: '移除标记', templet:function(d){
                        return "<span title='"+ d.removeFlat +"'>" + d.removeFlat + "</span>";
                    }}
                ,{align:'caozuo',align:'center',title:"操作",width:160,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                        if(d.removeFlat != undefined && d.removeFlat == "正常"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('修改物品', '${ctx}/workcatalogueitem/workCatalogueItem/form?id="+ d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                            xml +="<a href=\"${ctx}/workcatalogueitem/workCatalogueItem/update?id=" + d.id + "&flat=2"+"\" onclick=\"return confirmx('确认要移除该物品吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 移除</a>";
						}
						if(d.removeFlat != undefined && d.removeFlat == "移除")
                            xml +="<a href=\"${ctx}/workcatalogueitem/workCatalogueItem/update?id=" + d.id + "&flat=3"+"\" onclick=\"return confirmx('确认要恢复该物品吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 恢复</a>";
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workCatalogueItem" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${workCatalogueItem.id}"
                    ,"number":"${workCatalogueItem.number}"
                    ,"name":"${workCatalogueItem.name}"
                    ,"type":"${fns:getMainDictLabel(workCatalogueItem.type, 'item_type', '')}"
                    ,"model":"${workCatalogueItem.model}"
                    ,"primaryUnit":"${fns:getMainDictLabel(workCatalogueItem.primaryUnit, 'full_count_unit', '')}"
                    ,"createDate":"<fmt:formatDate value="${workCatalogueItem.createDate}" pattern="yyyy-MM-dd"/>"
                    ,"isAssets":<c:if test="${workCatalogueItem.isAssets eq '0'}">"否"</c:if> <c:if test="${workCatalogueItem.isAssets !='0'}">"是"</c:if>
                    ,"removeFlat":<c:if test="${workCatalogueItem.removeFlat eq '0'}">"正常"</c:if> <c:if test="${workCatalogueItem.removeFlat !='0'}">"移除"</c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#cus_name").show();
        $("#cus_name").siblings().hide();
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }
    function openDialogre(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'two-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['提交','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                if(iframeWin.contentWindow.doSubmit() ){
                    top.layer.close(index);//关闭对话框。
                    //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }

            }

        });
    }

    function openDialogre(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'two-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['提交','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                if(iframeWin.contentWindow.doSubmit() ){
                    top.layer.close(index);//关闭对话框。
                    //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }

            }

        });
    }
</script>
</body>
</html>
