<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工程项目信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['保存','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit()){
                        top.layer.close(index);
                    }
                },
                cancel: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>
			<ul class="nav nav-tabs">
				<li><a href="${ctx}/engineeringrecord/engineeringrecord/queryToList">待办任务</a></li>
				<li><a href="${ctx}/engineeringrecord/engineeringrecord/queryCompleteList">已办任务</a></li>
				<li class="active"><a href="${ctx}/engineeringrecord/engineeringrecord/list">工程项目归档信息</a></li>
			</ul>
		</h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workEngineeringProject" action="${ctx}/engineeringrecord/engineeringrecord/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
			<span>报告号：</span>
				<form:input path="reportNumber" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目名称：</span>
				<form:input path="contractId.name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
				<%--<sys:gridselect url="${ctx}/workengineeringproject/workEngineeringProject/selectprojectId" id="projectId" name="projectId"  value="${workEngineeringProject.projectId.id}"  title="选择项目外键id" labelName="projectId.projectName"
					labelValue="${workEngineeringProject.projectId.projectName}" cssClass="form-control required" fieldLabels="项目id" fieldKeys="id" searchLabel="项目名称" searchKey="projectName" ></sys:gridselect>
			--%>
			<span>业务类型：</span>
				<form:select path="businessType"  class="form-control m-b">
					<form:option value="" label=""/>
					<form:options items="${fns:getMainDictList('business_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
				</form:select>
		 </div>
		<span>项目状态：</span>
		<form:select path="status"  class="form-control m-b">
			<form:option value="" label=""/>
			<form:options items="${fns:getDictList('engineering_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
		</form:select>
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column reportNumber">报告号</th>
				<%--<th  class="sort-column remarks">项目编号</th>--%>
				<th  class="sort-column totalProjectName">总项目名称</th>
				<th  class="sort-column projectId">项目名称</th>
				<th  class="sort-column businessType">业务类型</th>
				<th  class="sort-column contractId.client.name">客户单位</th>
				<th >项目负责人</th>
				<th  class="sort-column createDate">创建时间</th>
				<th  class="sort-column status">项目状态</th>
				<th  class="sort-column status">项目归档</th>
				<th  class="sort-column status">流程追踪</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty page.list}">
		<c:forEach items="${page.list}" var="workEngineeringProject">
			<tr>
				<td> <input type="checkbox" id="${workEngineeringProject.id}" class="i-checks"></td>
				<td>
					<span title="${workEngineeringProject.reportNumber}">${fns:abbr(workEngineeringProject.reportNumber,30)}</span>
				</td>
				<%--<td>--%>
					<%--<span title="${workEngineeringProject.projectId.number}">${fns:abbr(workEngineeringProject.projectId.number,30)}</span>--%>
				<%--</td>--%>
				<td>
					<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=view','80%','80%')">
						<span title="${workEngineeringProject.totalProjectName}">${fns:abbr(workEngineeringProject.totalProjectName,30)}</span>
					</a>
				</td>
				<td>
					<a  href="javascript:void(0)" onclick="openDialogView('查看工程项目信息', '${ctx}/workengineeringproject/workEngineeringProject/form?id=${workEngineeringProject.id}&name=view','80%','80%')">
						<span title="${workEngineeringProject.projectId.name}">${fns:abbr(workEngineeringProject.projectId.name,30)}</span>
					</a>
				</td>
				<td>
					${fns:getMainDictLabel(workEngineeringProject.businessType, 'business_type', '')}
				</td>
				<td>
						<a  href="javascript:void(0)" onclick="openDialogView('查看客户管理', '${ctx}/workclientinfo/workClientInfo/detail?id=${workEngineeringProject.workClientInfo.id}','80%','80%')">
							<span title="${workEngineeringProject.workClientInfo.name}">${fns:abbr(workEngineeringProject.workClientInfo.name,30)}</span>
						</a>
				</td>
				<td>
						${fns:abbr(workEngineeringProject.hostOfficeMasterName,30)}
				</td>
				<td>
					<fmt:formatDate value="${workEngineeringProject.createDate}" pattern="yyyy-MM-dd"/>
				</td>
				<td>
					${fns:getDictLabel(workEngineeringProject.status, 'engineering_type', '')}
				</td>
				<td>
					<c:choose>
						<c:when test="${workEngineeringProject.status eq 5 && !fn:containsIgnoreCase(workEngineeringProject.remarks,'归档') && fns:getUser().id eq workEngineeringProject.createBy.id}">
							<%--<a href="javascript:void(0)" onclick="openDialogre('项目归档','${ctx}/engineeringrecord/engineeringrecord/form?engineeringrecord=${workEngineeringProject.id}','80%','80%')" class="btn btn-info btn-xs">项目归档</a>--%>
							<a href="${ctx}/engineeringrecord/engineeringrecord/startposs?engineeringId=${workEngineeringProject.id}" onclick="return confirmx('确认要发起项目归档吗？', this.href)"   class="btn btn-info btn-xs"> 项目归档</a>
						</c:when>
						<%--<c:when test="${workEngineeringProject.status eq 5 && fn:containsIgnoreCase(workEngineeringProject.remarks,'归档') && glygd}">
							<a href="javascript:void(0)" onclick="openDialogre('项目归档','${ctx}/engineeringrecord/engineeringrecord/form?engineeringId=${workEngineeringProject.id}','80%','80%')" class="btn btn-info btn-xs">项目归档</a>
						</c:when>--%>
						<c:otherwise>
							<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('当前状态不能进行项目归档!',{icon:2})" class="btn btn-default btn-xs">项目归档</a>
						</c:otherwise>
					</c:choose>
				</td>
				<td>
					<c:choose>
						<c:when test="${workEngineeringProject.status eq 5 && fn:containsIgnoreCase(workEngineeringProject.remarks,'归档')}">
							<a href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/engineeringrecord/engineeringrecord/getProcessOne?engineeringId=${workEngineeringProject.id}','80%','80%')" class="btn btn-info btn-xs" > 流程追踪</a>
						</c:when>
						<c:otherwise>
							<a href="javascript:void(0)" onclick="javascript:parent.layer.msg('当前流程未启动!',{icon:2})" class="btn btn-default btn-xs">流程追踪</a>
						</c:otherwise>
					</c:choose>
				</td>
				<td>
					<a href="javascript:void(0)" onclick="openDialogView('查看工程项目归档信息', '${ctx}/engineeringrecord/engineeringrecord/form?engineeringId=${workEngineeringProject.id}&tabId=10','1080px', '500px')" class="btn btn-info btn-xs" ><i class="fa fa-search"></i> 查看</a>
				</td>
			</tr>
		</c:forEach>
		</c:when>
			<c:otherwise>
				<tr>
					<td colspan="15" align="center">
						暂无数据
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>