<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目归档</title>
	<meta name="decorator" content="default"/>
	<script src="${ctxStatic}/layer-v2.3/laydate/laydate.js"></script>
	<style type="text/css">
		.table{
			margin-bottom: 0px;
		}
		.workfull>.form-horizontal{
			margin: 0;
			padding: 0;
		}
	</style>
	<script type="text/javascript">
        $(function(){
            var oneSize = $(".oneTab").size();
            for(var i = 0;i < oneSize;i++){
                var hei = $(".oneTab:eq("+i+")").parent().height();
                $(".oneTab:eq("+i+")").css("height",hei)
                    .css("vertical-align","middle")
                    .css("line-height",hei+"px")
            }
            $("img").not(".upload_ico").each(function () {
                var num = 1 ;
                $(this).click(function () {
                    var flag = num%2;
                    if(flag == 1){
                        $(this).css("width","90%");
                        $(this).css("height","90%");
                        num++;
                    }else if(flag ==0){
                        $(this).css("width","50px");
                        $(this).css("height","50px");
                        num++;
                    }
                })
            });
        })
        var validateForm;
        function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                $("#inputForm").submit();
                return true;
            }
            return false;
        }
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
        });

	</script>
</head>
<body class="hideScroll">
<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-content">
		<div class="col-sm-12 m-t-xs">
			<div class="col-sm-2 gray-bg text-center oneTab">
				<label>项目信息</label>
			</div>
			<div class="col-sm-10 " >
				<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
					<tbody>
					<tr>
						<td class="width-15 active"><label class="pull-right">项目编号：<font color="red">*</font></label></td>
						<td class="width-25">
							${workEngineeringProject.projectId.number}
						</td>
						<td class="width-15 active"><label class="pull-right">业务类型：</label></td>
						<td class="width-25">
							${fns:getMainDictLabel(workEngineeringProject.businessType, 'business_type', '')}
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">创建日期：<font color="red">*</font></label></td>
						<td class="width-25" colspan="3">
							<fmt:formatDate value="${workEngineeringProject.createDate}" pattern="yyyy-MM-dd"/>
						</td>
					</tr>
					</tbody>
				</table>
			</div>
		</div>
		<div class="col-sm-12 m-t-xs">
			<div class="col-sm-2 gray-bg text-center oneTab">
				<label>文件信息</label>
			</div>
			<div class="col-sm-10 " >
				<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
					<tbody>
					<tr>
						<td class="width-15 active" ><label class="pull-right">报告文件：</label></td>
						<td class="width-35" colspan="3">
							<table id="workReportList"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
								<tr>
									<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
								</tr>
								<%--<c:forEach items="${workReportList}" var="attachment" varStatus="status">
                                    <tr>
                                        <td>${status.index + 1}</td>
                                        <td>${attachment.attachmentName}</td>
                                        <td>${attachment.attachmentUser}</td>
                                        <td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
                                        <td>
                                            <a href="${attachment.url}" class="btn btn-white btn-xs">下载</a>
                                        </td>
                                    </tr>
                                </c:forEach>--%>
								<c:forEach items="${workReportList}" var="attachment" varStatus="status">
								<tr>
										<%--<td>${status.index + 1}</td>--%>
										<%--<c:choose>
											<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
												<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
											</c:when>
											<c:otherwise>
												<c:choose>
													<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
														<td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
													</c:when>
													<c:otherwise>
														<td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													</c:otherwise>
												</c:choose>
											</c:otherwise>
										</c:choose>--%>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'bmp')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
											<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%','1')">${attachment.attachmentName}</a></td>
												</c:when>
												<c:otherwise>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('${ctx}/previewController/previewUrl?fileUrl=${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openword','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openexcel','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openppt','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>

												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
										<td>${attachment.attachmentUser}</td>
										<td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
										<td>
											<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
											<a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/workengineeringproject/workEngineeringProject/deleteFileFromAliyun?attachmentId=${attachment.id}&id=${workEngineeringProject.id}&type=2')" class="btn btn-danger btn-xs" >删除</a>
										</td>
								</tr>
								</c:forEach>
							</table>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">依据性资料：</label></td>
						<td class="width-35" colspan="3">
							<table id="workBasisInformationList"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
								<tr>
									<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
								</tr>
								<c:forEach items="${workBasisInformationList}" var="attachment" varStatus="status">
								<tr>
										<%--<td>${status.index + 1}</td>--%>
										<%--<c:choose>
											<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
												<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
											</c:when>
											<c:otherwise>
												<c:choose>
													<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
														<td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
													</c:when>
													<c:otherwise>
														<td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													</c:otherwise>
												</c:choose>
											</c:otherwise>
										</c:choose>--%>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'bmp')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
											<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%','1')">${attachment.attachmentName}</a></td>
												</c:when>
												<c:otherwise>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('${ctx}/previewController/previewUrl?fileUrl=${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openword','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openexcel','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openppt','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>

												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
										<td>${attachment.attachmentUser}</td>
										<td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
										<td>
											<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
											<a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/workengineeringproject/workEngineeringProject/deleteFileFromAliyun?attachmentId=${attachment.id}&id=${workEngineeringProject.id}&type=2')" class="btn btn-danger btn-xs" >删除</a>
										</td>
								</tr>
								</c:forEach>
							</table>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">过程控制资料：</label></td>
						<td class="width-35" colspan="3">
							<table id="workRemoteControlList"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
								<tr>
									<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
								</tr>
								<c:forEach items="${workRemoteControlList}" var="attachment" varStatus="status">
								<tr>
										<%--<td>${status.index + 1}</td>--%>
										<%--<c:choose>
											<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
												<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
											</c:when>
											<c:otherwise>
												<c:choose>
													<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
														<td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
													</c:when>
													<c:otherwise>
														<td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													</c:otherwise>
												</c:choose>
											</c:otherwise>
										</c:choose>--%>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'bmp')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
											<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%','1')">${attachment.attachmentName}</a></td>
												</c:when>
												<c:otherwise>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('${ctx}/previewController/previewUrl?fileUrl=${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openword','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openexcel','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openppt','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>

												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
										<td>${attachment.attachmentUser}</td>
										<td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
										<td>
											<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
											<a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/workengineeringproject/workEngineeringProject/deleteFileFromAliyun?attachmentId=${attachment.id}&id=${workEngineeringProject.id}&type=2')" class="btn btn-danger btn-xs" >删除</a>
										</td>
								</tr>
								</c:forEach>
							</table>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">汇总表：</label></td>
						<td class="width-35" colspan="3">
							<table id="workSummaryList"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
								<tr>
									<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
								</tr>
								<c:forEach items="${workSummaryList}" var="attachment" varStatus="status">
								<tr>
										<%--<td>${status.index + 1}</td>--%>
										<%--<c:choose>
											<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
												<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
											</c:when>
											<c:otherwise>
												<c:choose>
													<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
														<td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
													</c:when>
													<c:otherwise>
														<td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													</c:otherwise>
												</c:choose>
											</c:otherwise>
										</c:choose>--%>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'bmp')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
											<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%','1')">${attachment.attachmentName}</a></td>
												</c:when>
												<c:otherwise>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('${ctx}/previewController/previewUrl?fileUrl=${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openword','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openexcel','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openppt','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>

												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
										<td>${attachment.attachmentUser}</td>
										<td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
										<td>
											<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
											<a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/workengineeringproject/workEngineeringProject/deleteFileFromAliyun?attachmentId=${attachment.id}&id=${workEngineeringProject.id}&type=2')" class="btn btn-danger btn-xs" >删除</a>
										</td>
								</tr>
								</c:forEach>
							</table>
						</td>
					</tr>
					<tr>
						<td class="width-15 active"><label class="pull-right">其他资料：</label></td>
						<td class="width-35" colspan="3">
							<table id="workOtherList"  style="text-align: center;width: 100%;margin-top:10px;"  class="table table-striped table-bordered table-condensed" >
								<tr>
									<%--<td>序号</td>--%><td>文件名</td><td>上传人</td><td>上传时间</td><td>操作</td>
								</tr>
								<c:forEach items="${workOtherList}" var="attachment" varStatus="status">
								<tr>
										<%--<td>${status.index + 1}</td>--%>
										<%--<c:choose>
											<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
												<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
											</c:when>
											<c:otherwise>
												<c:choose>
													<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
														<td><a href="${attachment.url}">${attachment.attachmentName}</a></td>
													</c:when>
													<c:otherwise>
														<td><a href="javascript:void(0)" onclick="openDialogViewPre('预览','${ctx}/previewController/previewUrl?fileUrl=${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													</c:otherwise>
												</c:choose>
											</c:otherwise>
										</c:choose>--%>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'jpg')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'png')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'gif')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'bmp')
                                                               or fn:containsIgnoreCase(attachment.attachmentName,'jpeg')}">
											<td><img src="${attachment.url}" width="50" height="50" alt="${attachment.attachmentName}"/></td>
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${fn:containsIgnoreCase(attachment.attachmentName,'pdf')}">
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%','1')">${attachment.attachmentName}</a></td>
												</c:when>
												<c:otherwise>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('${ctx}/previewController/previewUrl?fileUrl=${workClientAttachment.url}','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openword','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<td><a href="javascript:void(0)" onclick="preview('预览','${attachment.url}','80%','80%')">${attachment.attachmentName}</a></td>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openexcel','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>
													<%--<td><a href="javascript:void(0)" onclick="POBrowser.openWindow('/ruihua/openppt','80%','80%')">${workClientAttachment.attachmentName}</a></td>--%>

												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
										<td>${attachment.attachmentUser}</td>
										<td><fmt:formatDate value="${attachment.createDate}" pattern="yyyy-MM-dd"/></td>
										<td>
											<a href="${ctx}/workfullmanage/workFullManage/downLoadAttach?file=${attachment.url}" class="btn btn-success btn-xs">下载</a>
											<a href="javascript:void(0)" onclick="deleteFileFromAliyun(this,'${ctx}/workengineeringproject/workEngineeringProject/deleteFileFromAliyun?attachmentId=${attachment.id}&id=${workEngineeringProject.id}&type=2')" class="btn btn-danger btn-xs" >删除</a>
										</td>
								</tr>
								</c:forEach>
							</table>
						</td>
					</tr>
					</tbody>
				</table>
			</div>
		</div>
		<div class="col-sm-12 m-t-xs">
			<div class="col-sm-2 gray-bg text-center oneTab">
				<label>档案信息</label>
			</div>
			<div class="col-sm-10 workfull" >
					<table class="table table-striped table-bordered table-hover table-condensed dataTables-example">
						<tbody>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷名称：</label></td>
							<td class="width-25" colspan="3">
									${workFullRecord.recordName}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷号：</label></td>
							<td class="width-35">
								<input type="hidden" name="workFullManage.id" value="${workFullRecord.workFullManage.id}"   class="form-control "/>
									${workFullRecord.recordNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档号：</label></td>
							<td class="width-35">
									${workFullRecord.backRecordNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属卷库：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.recordLibNumber, 'record_lib_number', '')}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档年代：</label></td>
							<td class="width-25">
									${workFullRecord.backRecordYear}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>所属部门：</label></td>
							<td class="width-25">
									${workFullRecord.backRecordDept.name}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>编制结构：</label></td>
							<td class="width-25">
									${workFullRecord.compleOrganization}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保管期限：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.retentionPeriod, 'retention_period', '')}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>起止日期：</label></td>
							<td class="width-25">
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									<fmt:formatDate value="${workFullRecord.startTime}" pattern="yyyy-MM-dd" />
								</div>
								<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
									至
								</div>
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
									<fmt:formatDate value="${workFullRecord.endTime}" pattern="yyyy-MM-dd" />
								</div>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷密级：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.recordSecretLevel, 'record_secret_level', '')}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>全宗号：</label></td>
							<td class="width-25">
									${workFullRecord.fondsNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>目录号：</label></td>
							<td class="width-25">
									${workFullRecord.listsNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>归档馆号：</label></td>
							<td class="width-25">
									${workFullRecord.recordProNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>保险箱号：</label></td>
							<td class="width-25">
									${workFullRecord.strongboxNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>缩微号：</label></td>
							<td class="width-25">
									${workFullRecord.microNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证类别：</label></td>
							<td class="width-25">
									${fns:getDictLabel(workFullRecord.ekkoType, 'ekko_type', '')}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>凭证编号：</label></td>
							<td class="width-25">
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
										${workFullRecord.ekkoBstypOne}
								</div>
								<div class="col-sm-2 text-center" style="padding: 0;vertical-align: middle;line-height: 30px;">
									至
								</div>
								<div class="col-sm-5" style="padding: 5px 0 0 0 ;">
										${workFullRecord.ekkoBstypTwo}
								</div>
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>报告号：</label></td>
							<td class="width-25">
									${workFullRecord.reportNumber}
							</td>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>页数：</label></td>
							<td class="width-25">
									${workFullRecord.pageNumber}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>案卷管理员：</label></td>
							<td class="width-25">
									${workFullRecord.manageId}
							</td>
						</tr>
						<tr>
							<td class="width-15 active"><label class="pull-right"><font color="red">*</font>备注：</label></td>
							<td class="width-25" colspan="3">
									${workFullRecord.remarks}
							</td>
						</tr>
						</tbody>
					</table>
			</div>
		</div>
	</div>
	</div>
</div>
</body>
</html>