<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>会议纪要管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">

	</script>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="workFullMeetingminutes"  class="form-horizontal">
			<form:hidden path="id"/>
			<form:hidden path="workFullManageId"/>
			<sys:message content="${message}"/>
			<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
		   		<tr>
					<td class="width-15 active" rowspan="6"><label class="pull-right">会议信息</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">来源单位：</label></td>
					<td class="width-30">
						${workFullMeetingminutes.sourceCompany}
					</td>
					<td class="width-15 active"><label class="pull-right">会议时间：</label></td>
					<td class="width-30">
						<fmt:formatDate value="${workFullMeetingminutes.meetingTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">会议地点：</label></td>
					<td class="width-40" colspan="3">
						${workFullMeetingminutes.meetingAddress}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">会议记录人：</label></td>
					<td class="width-30">
						${workFullMeetingminutes.meetingRecorder.name}
					</td>
					<td class="width-15 active"><label class="pull-right">召开部门：</label></td>
					<td class="width-30">
						${workFullMeetingminutes.office.name}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">与会人员：</label></td>
					<td class="width-40" colspan="3">
							${workFullMeetingminutes.meetingMembersNames}
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">会议主题：</label></td>
					<td class="width-40" colspan="3">
						${workFullMeetingminutes.meetingTopic}
					</td>
		  		</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>