<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>借款管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        $(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
            laydate.render({
                elem: '#beginContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });


            laydate.render({
                elem: '#endContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus' //响应事件。如果没有传入event，则按照默认的click
            });
        });
        function openDialogre(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'three-btns',
                content: url ,
                btn: ['送审','暂存','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn2:function(index,layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(2) ){
                        top.layer.close(index);//关闭对话框。
//                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                    return false;
                },
                btn3: function(index){
                }
            });
        }
        function openDialogreplay(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'two-btns',
                content: url ,
                btn: ['送审','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                    if(iframeWin.contentWindow.doSubmit() ){
                        top.layer.close(index);//关闭对话框。
                        //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }

                },
                cancel: function(index){
                }
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">

				<form:form id="searchForm" modelAttribute="workLoan" action="${ctx}/workloan/workLoan/" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<%--<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->--%>

					<div class="commonQuery lw8">
						<div class="layui-item query athird">
							<label class="layui-form-label">借款人：</label>
							<div class="layui-input-block">
								<form:input path="workStaffBasicInfo.name" htmlEscape="false" class="form-control  layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">借款日期：</label>
							<div class="layui-input-block">
								<input id="beginContractDate" name="beginContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workLoan.beginContractDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
								<span class="group-sep">-</span>
								<input id="endContractDate" name="endContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workLoan.endContractDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" class="lw8" style="clear:both;display:none;">

						<div class="layui-item query athird">
							<label class="layui-form-label">所属部门：</label>
							<div class="layui-input-block">
								<form:input path="workStaffBasicInfo.office.name" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">借款项目：</label>
							<div class="layui-input-block">
								<form:input path="projectRecords.projectName" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">借款类型：</label>
							<div class="layui-input-block">
								<form:select path="type"  class="form-control simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('loan_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
							<div style="clear:both;"></div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">审核状态：</label>
							<div class="layui-input-block">
								<form:select path="status"  class="form-control simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('audit_state')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
							<div style="clear:both;"></div>
						</div>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<shiro:hasPermission name="workloan:workLoan:add">
						<button class="nav-btn nav-btn-add" title="借款" onclick="openDialogre('借款','${ctx}/workloan/workLoan/form','95%','95%')"><i class="fa fa-plus"></i>&nbsp;添加</button>
					</shiro:hasPermission>

					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'num',align:'center',sort:true,title: '借款编号',minWidth:160,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看借款信息', '${ctx}/workloan/workLoan/form?id=" + d.id + "&tabId=1','95%','95%')\">" +
                        "<span title=" + d.num + ">" + d.num + "</span></a>";
                    return xml;
                }}
                ,{field:'staffName',align:'center', title: '借款人',minWidth:160,templet:function(d){
                    return "<span title='"+ d.staffName +"'>" + d.staffName + "</span>";
                }}
                ,{field:'staffOffice',align:'center', title: '所属部门',minWidth:160,templet:function(d){
                    return "<span title='"+ d.staffOffice +"'>" + d.staffOffice + "</span>";
                }}
                ,{field:'type',align:'center', title: '借款类型',minWidth:160,templet:function(d){
                    return "<span title='"+ d.type +"'>" + d.type + "</span>";
                }}
                ,{field:'project', align:'center',title: '借款项目',minWidth:160,templet:function(d){
                    return "<span title='"+ d.project +"'>" + d.project + "</span>";
                }}
                ,{field:'money', align:'center',title: '借款金额',minWidth:160,templet:function(d){
                    return "<span title='"+ d.money +"'>" + d.money + "</span>";
                }}
                ,{field:'loanDate', align:'center',sort:true,title: '借款日期',minWidth:160,templet:function(d){
                    return "<span title='"+ d.loanDate +"'>" + d.loanDate + "</span>";
                }}
                ,{field:'repayState',align:'center', title: '还款状态', minWidth:160}
                ,{field:'status',align:'center', title: '状态', width:70,templet:function(d){
                    var st = getAuditState(d.status);
                    if(st.action)
                        var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/workloan/workLoan/getProcessOne?id=" + d.id + "','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                    else
                        var xml = "<span style=\"cursor:default;\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                    return xml;
                }}
                // ,{fixed: 'right',align:'center', toolbar: '#op',title:"操作"}
                ,{field:'op',align:'center',title:"操作",minWidth:160,templet:function(d){
                    ////对操作进行初始化
                    var xml = "";
                    if(d.repay != undefined && d.repay == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogreplay('还款', '${ctx}/workrepay/workRepay/form?loanId="+ d.id + "','95%','95%')\"   class=\"op-btn op-btn-revert\"><i class=\"fa fa-edit\"></i>还款</a>";
                    if(d.cancancel != undefined && d.cancancel == "1")
                        xml += "<a href=\"${ctx}/workloan/workLoan/cancelInvalidate?id=" + d.id + "\" onclick=\"return confirmx('确认要强制撤回？', this.href)\"   class=\"op-btn op-btn-cancel\"><i class=\"glyphicon glyphicon-share-alt\"></i> 撤回</a>";
                    if(d.canedit1 != undefined && d.canedit1 == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('修改信息', '${ctx}/workloan/workLoan/form?id="+ d.id + "','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                    if(d.canedit2 != undefined && d.canedit2 == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogreplay('修改信息', '${ctx}/workloan/workLoan/form?id="+ d.id + "&tabId=3','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                    if(d.canedit3 != undefined && d.canedit3 == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogreplay('重新申请', '${ctx}/workloan/workLoan/form?id=" + d.id + "&tabId=4','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                    if(d.candelete != undefined && d.candelete == "1")
                        xml +="<a href=\"${ctx}/workloan/workLoan/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该申请吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                    return xml;
                }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workLoan" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workLoan.id}"
                    ,"num":"${workLoan.num}"
                    ,"staffName":"${workLoan.workStaffBasicInfo.name}"
                    ,"staffOffice":"${workLoan.workStaffBasicInfo.office.name}"
                    ,"type":"${fns:getDictLabel(workLoan.type, 'loan_type', '')}"
                    ,"project":"${workLoan.projectRecords.projectName}"
                    ,"money":"<fmt:formatNumber value="${workLoan.money}" pattern="#,#0.00"/>"
                    ,"loanDate":"<fmt:formatDate value="${workLoan.loanDate}" pattern="yyyy-MM-dd"/>"
                    ,"repayState":"${fns:getDictLabel(workLoan.repayState, 'repay_state', '')}"
                    ,"status":"${workLoan.status}"
                    <c:if test="${fns:getUser().id == workLoan.createBy.id}">
                    <c:if test="${workLoan.status == '2' }">,"cancancel":"1"</c:if>
                    <c:if test="${workLoan.status == '5' && workLoan.repayState != '1'}">,"repay":"1"</c:if>
                    <shiro:hasPermission name="workloan:workLoan:edit"><c:choose>
                    <c:when test="${workLoan.status == '1' }">,"canedit1":"1"</c:when>
                    <c:when test="${workLoan.status == '4'}">,"canedit2":"1"</c:when>
                    <c:when test="${workLoan.status == '3'}">,"canedit3":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                    <shiro:hasPermission name="workloan:workLoan:del"><c:choose>
                    <c:when test="${(workLoan.status == '1' or workLoan.status == '3' or workLoan.status == '4')}">,"candelete":"1"</c:when>
                    </c:choose></shiro:hasPermission>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>