<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<%--<div class="ibox-title">
		<h5>项目管理列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    --%>
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workProject" action="${ctx}/workproject/workProject/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<a href="#" id="moresee" class="fa fa-chevron-down" style="float: right;">更多</a>
		<div class="form-group">
			<span>项目名称：</span>
				<form:input path="name" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目编号：</span>
				<form:input path="number" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<span>项目类型：</span>
			<form:input path="sort" htmlEscape="false" maxlength="255"  class=" form-control input-sm"/>
			<%--<span>合同外键：</span>
				<sys:gridselect url="${ctx}/workproject/workProject/selectcontractId" id="contractId" name="contractId"  value="${workProject.contractId.id}"  title="选择合同外键" labelName="contractId.name" 
					labelValue="${workProject.contractId.name}" cssClass="form-control required" fieldLabels="合同信息id" fieldKeys="id" searchLabel="合同名称" searchKey="name" ></sys:gridselect>--%>
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workproject:workProject:add">
				<table:addRow url="${ctx}/workproject/workProject/form" title="项目管理"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workproject:workProject:edit">
			    <table:editRow url="${ctx}/workproject/workProject/form" title="项目管理" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workproject:workProject:del">
				<table:delRow url="${ctx}/workproject/workProject/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workproject:workProject:import">
				<table:importExcel url="${ctx}/workproject/workProject/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workproject:workProject:export">
	       		<table:exportExcel url="${ctx}/workproject/workProject/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<%--<th> <input type="checkbox" class="i-checks"></th>--%>
				<%--<th  class="sort-column updateDate">update_date</th>
				<th  class="sort-column remarks">remarks</th>--%>
				<th style="text-align: center;width: 40%"  class="sort-column name">项目名称</th>
				<th style="text-align: center;width: 20%"  class="sort-column number">项目编号</th>
				<th style="text-align: center;width: 10%"  class="sort-column sort">项目类型</th>
				<th style="text-align: center;width: 10%"  class="">归档状态</th>
				<th style="text-align: center;width: 10%"  class="">项目归档</th>
				<%--<th  class="sort-column contractId">合同外键</th>--%>
				<th style="text-align: center;width: 10%">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workProject">
			<tr>
				<%--<td> <input type="checkbox" id="${workProject.id}" class="i-checks"></td>
				<td><a  href="javascript:void(0)" onclick="openDialogView('查看项目管理', '${ctx}/workproject/workProject/form?id=${workProject.id}','80%','80%')">
					<fmt:formatDate value="${workProject.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
				</a></td>
				<td>
					${workProject.remarks}
				</td>--%>
				<td>
					${workProject.name}
				</td>
				<td>
					${workProject.number}
				</td>
				<td>
					${workProject.sort}
				</td>
					<td>
						<c:choose>
							<c:when test="${workProject.state == 1}">
								归档中
							</c:when>
							<c:when test="${workProject.state == 3}">
								已归档
							</c:when>
							<c:otherwise>
								未归档
							</c:otherwise>
						</c:choose>
					</td>
				<td>
					<div style="text-align: center">
					<c:choose>
							<c:when test="${workProject.state == 1}">
							<%--<a href="${ctx}/workproject/workProject/startProcess?id=${workProject.id}" class="btn btn-info btn-xs">项目归档</a>--%>
							<a href="javascript:void(0)" onclick="openDialog('项目归档', '${ctx}/workproject/workProject/startProcess?id=${workProject.id}','80%', '80%')" class="btn btn-info btn-xs" >项目归档</a>
						</c:when>
						<c:when test="${workProject.state == 3}">
							<a href="javascript:void(0)" onclick="openDialogView('项目归档', '${ctx}/workproject/workProject/startProcess?id=${workProject.id}','80%', '80%')" class="btn btn-info btn-xs" >项目归档</a>
						</c:when>
						<c:otherwise>
							<a href="javascript:parent.layer.msg('项目还未到归档阶段，暂无法归档',{icon:5})" class="btn btn-default btn-xs">项目归档</a>
						</c:otherwise>
					</c:choose>
					</div>
				</td>
				<td>
					<div style="text-align: center">
					<c:choose>
						<c:when test="${workProject.sort eq '投标项目'}">
							<a href="javascript:void(0)" onclick="openDialogView('查看项目管理', '${ctx}/workproject/workProject/form?id=${workProject.id}&&view=1','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
						</c:when>
						<c:when test="${workProject.sort eq '招标代理'}">
							<a href="javascript:void(0)" onclick="openDialogView('查看项目管理', '${ctx}/workproject/workProject/form?id=${workProject.id}&&view=2','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
						</c:when>
						<c:when test="${workProject.sort eq '工程咨询'}">
							<a href="javascript:void(0)" onclick="openDialogView('查看项目管理', '${ctx}/workproject/workProject/form?id=${workProject.id}&&view=3','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
						</c:when>
						<c:when test="${workProject.sort eq '全过程管理'}">
							<a href="javascript:void(0)" onclick="openDialogView('查看项目管理', '${ctx}/workproject/workProject/form?id=${workProject.id}&&view=4','80%','80%')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
						</c:when>                                                        <%--${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=0--%>
						<c:otherwise>                                                          <%--${ctx}/workproject/workProject/form?id=${workProject.id}&&view=4--%>
							<a href="javascript:parent.layer.msg('无此项目类型，无法查看',{icon:5})" class="btn btn-default btn-xs">查看</a>
						</c:otherwise>
					</c:choose>
<%--
					<shiro:hasPermission name="workproject:workProject:view">
--%>
					<%--</shiro:hasPermission>--%>
					<%--<shiro:hasPermission name="workproject:workProject:edit">
    					<a href="javascript:void(0)" onclick="openDialog('修改项目管理', '${ctx}/workproject/workProject/form?id=${workProject.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workproject:workProject:del">
						<a href="${ctx}/workproject/workProject/delete?id=${workProject.id}" onclick="return confirmx('确认要删除该项目管理吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>--%>
					</div>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>