<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>供应商管理管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
            laydate.render({
                elem: '#beginContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            laydate.render({
                elem: '#endContractDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
		});
        function openDialogre(title,url,width,height,target){

            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: false, //开启最大化最小化按钮
                skin: 'three-btns',
                content: url ,
                btn: ['提交','关闭'],
                btn1: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit(1) ){
                        top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                    }
                },
                btn3: function(index){
                }
            });
        }
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="workSupplier" action="${ctx}/worksupplier/workSupplier/" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<%--<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->--%>

					<div class="commonQuery lw8">
						<div class="layui-item query athird">
							<label class="layui-form-label">供应商名称：</label>
							<div class="layui-input-block">
								<form:input  path="name" htmlEscape="false" class="form-control  layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">联系人名称：</label>
							<div class="layui-input-block">
								<form:input path="linkName" htmlEscape="false" maxlength="64"  class=" form-control layui-input"/>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" class="lw8" style="clear:both;display:none;">
						<div class="layui-item query athird">
							<label class="layui-form-label">创建日期：</label>
							<div class="layui-input-block">
								<input id="beginContractDate" name="beginContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workSupplier.beginContractDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
								<span class="group-sep">-</span>
								<input id="endContractDate" name="endContractDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workSupplier.endContractDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
							</div>
						</div>
						<div class="layui-item query athird ">
							<label class="layui-form-label">移除标记：</label>
							<div class="layui-input-block">
								<form:select path="removeSign" class="form-control simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('remove_sign')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">统一信用代码：</label>
							<div class="layui-input-block">
								<form:input  path="uscCode" htmlEscape="false" class="form-control  layui-input"/>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">法人代表：</label>
							<div class="layui-input-block">
								<form:input  path="deputy" htmlEscape="false" class="form-control  layui-input"/>
							</div>
						</div>
					</div>
				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<%--<table:addRow url="${ctx}/worksupplier/workSupplier/form" title="供应商管理"></table:addRow><!-- 增加按钮 -->--%>
						<button class="nav-btn nav-btn-add" title="供应商管理" onclick="openDialogre('供应商管理','${ctx}/worksupplier/workSupplier/form','95%','95%')"><i class="fa fa-plus"></i>&nbsp;添加</button>
					<table:exportExcel url="${ctx}/worksupplier/workSupplier/export"></table:exportExcel><!-- 导出按钮 -->
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center', title: '序号',width:40}
                ,{field:'name',align:'center',title: '供应商名称',width:160,templet:function(d){
                    var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看供应商信息', '${ctx}/worksupplier/workSupplier/form?id=" + d.id + "&tabId=1','95%','95%')\">" +
                        "<span title=" + d.name + ">" + d.name + "</span></a>";
                    return xml;
                }}
                ,{field:'uscCode',align:'center', title: '统一社会信用代码',width:160,templet:function(d){
                    return "<span title='"+ d.uscCode +"'>" + d.uscCode + "</span>";
                }}
                ,{field:'address',align:'center', title: '公司地址',minWidth:100,templet:function(d){
                    return "<span title='"+ d.address +"'>" + d.address + "</span>";
                }}
                ,{field:'deputy',align:'center', title: '法人代表',width:120,templet:function(d){
                    return "<span title='"+ d.deputy +"'>" + d.deputy + "</span>";
                }}
                ,{field:'linkName', align:'center',title: '联系人姓名',width:120,templet:function(d){
                    return "<span title='"+ d.linkName +"'>" + d.linkName + "</span>";
                }}
                ,{field:'linkMobile',align:'center', title: '联系人手机', width:150}
                ,{field:'createDate',align:'center', sort:true,title: '创建日期', width:120}
                ,{field:'removeSign',align:'center', title: '移除标记', width:65}
                ,{field:'op',align:'center',title:"操作",width:130,templet:function(d){
                  	//对操作进行初始化
                    var xml = "";
                    if(d.canedit != undefined && d.canedit == "1")
                        xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('修改供应商信息', '${ctx}/worksupplier/workSupplier/form?id=" + d.id + "&param=1','80%','80%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i>修改</a>"

                    if(d.candelete != undefined && d.candelete == "1")
                        xml +="<a href=\"${ctx}/worksupplier/workSupplier/remove?id=" + d.id + "\" onclick=\"return confirmx('确认要移除该供应商信息吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 移除</a>"

                    if(d.canlive != undefined && d.canlive == "1")
                        xml +="<a href=\"${ctx}/worksupplier/workSupplier/live?id=" + d.id + "\" onclick=\"return confirmx('确认要恢复该供应商信息吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"glyphicon glyphicon-share-alt\"></i> 恢复</a>";
                    return xml;
                }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workSupplier" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "index":"${index.index+1}"
                    ,"id":"${workSupplier.id}"
                    ,"name":"${workSupplier.name}"
                    ,"uscCode":"${workSupplier.uscCode}"
                    ,"address":"${workSupplier.address}"
                    ,"deputy":"${workSupplier.deputy}"
                    ,"linkName":"${workSupplier.linkName}"
                    ,"linkMobile":"${workSupplier.linkMobile}"
                    ,"createDate":"<fmt:formatDate value="${workSupplier.createDate}" pattern="yyyy-MM-dd"/>"
                    ,"removeSign":"${fns:getDictLabel(workSupplier.removeSign, 'remove_sign', '')}"
                    <c:if test="${workSupplier.removeSign != 2 && fns:getUser().id == workSupplier.createBy.id}">
                    <shiro:hasPermission name="worksupplier:workSupplier:edit">,"canedit":"1"</shiro:hasPermission>
                    </c:if>
                    <c:if test="${workSupplier.removeSign == 1 && fns:getUser().id == workSupplier.createBy.id}">
                    <shiro:hasPermission name="worksupplier:workSupplier:edit">,"candelete":"1"</shiro:hasPermission>
                    </c:if>
                    <c:if test="${workSupplier.removeSign == 2 && fns:getUser().id == workSupplier.createBy.id}">
                    <shiro:hasPermission name="worksupplier:workSupplier:edit">,"canlive":"1"</shiro:hasPermission>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });
    })
    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
</body>
</html>